;BUILD Version: 0005 - Increment this if a change has global effects
;Copyright (c) Microsoft Corporation.  All rights reserved.

; The success status codes 0 - 63 are reserved for wait completion status.
; FacilityCodes $5 - $F have been allocated by various drivers.
;
;
;	Values are 32 bit values layed out as follows:
;
;    3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
;    1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
;	+---+-+-+-----------------------+-------------------------------+
;	|Sev|C|R|     Facility          |               Code            |
;	+---+-+-+-----------------------+-------------------------------+
;
;where:
;
;Sev - is the severity code
;
;00 - Success
;01 - Informational
;10 - Warning
;11 - Error
;
;C - is the Customer code flag
;
;R - is a reserved bit
;
;Facility - is the facility code
;
;Code - is the facility's status code
;
;

#STATUS_SUCCESS		= $00000000
		
;;
;								;
;  Define the facility codes	;
;								;
;;

#FACILITY_DEBUGGER													= $01
#FACILITY_RPC_RUNTIME												= $02
#FACILITY_RPC_STUBS													= $03
#FACILITY_IO_ERROR_CODE												= $04
#FACILITY_NTWIN32													= $07
#FACILITY_NTSSPI														= $09
#FACILITY_TERMINAL_SERVER											= $0A
#FACILTIY_MUI_ERROR_CODE												= $0B
#FACILITY_USB_ERROR_CODE												= $10
#FACILITY_HID_ERROR_CODE												= $11
#FACILITY_FIREWIRE_ERROR_CODE										= $12
#FACILITY_CLUSTER_ERROR_CODE											= $13
#FACILITY_ACPI_ERROR_CODE											= $14
#FACILITY_SXS_ERROR_CODE												= $15
#FACILITY_TRANSACTION												= $19
#FACILITY_COMMONLOG													= $1A
#FACILITY_VIDEO														= $1B
#FACILITY_FILTER_MANAGER												= $1C
#FACILITY_MONITOR													= $1D
#FACILITY_GRAPHICS_KERNEL											= $1E
#FACILITY_DRIVER_FRAMEWORK											= $20
#FACILITY_FVE_ERROR_CODE												= $21
#FACILITY_FWP_ERROR_CODE												= $22
#FACILITY_NDIS_ERROR_CODE											= $23
#FACILITY_HYPERVISOR													= $35
#FACILITY_IPSEC														= $36
#FACILITY_VIRTUALIZATION												= $37
#FACILITY_VOLMGR														= $38
#FACILITY_BCD_ERROR_CODE												= $39
#FACILITY_MAXIMUM_VALUE												= $3A

;;
;								;
;  Define the severity codes	;
;								;
;;
														
#STATUS_SEVERITY_SUCCESS												= $00
#STATUS_SEVERITY_INFORMATIONAL										= $01
#STATUS_SEVERITY_WARNING												= $02
#STATUS_SEVERITY_ERROR												= $03

;----------------------------------------------------------------------

#STATUS_WAIT_0														= $00000000
#STATUS_WAIT_1														= $00000001
#STATUS_WAIT_2														= $00000002
#STATUS_WAIT_3														= $00000003
#STATUS_WAIT_63														= $0000003F

#STATUS_ABANDONED													= $00000080
#STATUS_ABANDONED_WAIT_0												= $00000080
#STATUS_ABANDONED_WAIT_63											= $000000BF
#STATUS_USER_APC														= $000000C0
#STATUS_KERNEL_APC													= $00000100
#STATUS_ALERTED														= $00000101
#STATUS_TIMEOUT														= $00000102
#STATUS_PENDING														= $00000103
#STATUS_REPARSE														= $00000104
#STATUS_MORE_ENTRIES													= $00000105
#STATUS_NOT_ALL_ASSIGNED												= $00000106
#STATUS_SOME_NOT_MAPPED												= $00000107
#STATUS_OPLOCK_BREAK_IN_PROGRESS										= $00000108
#STATUS_VOLUME_MOUNTED												= $00000109
#STATUS_RXACT_COMMITTED												= $0000010A
#STATUS_NOTIFY_CLEANUP												= $0000010B
#STATUS_NOTIFY_ENUM_DIR												= $0000010C
#STATUS_NO_QUOTAS_FOR_ACCOUNT										= $0000010D
#STATUS_PRIMARY_TRANSPORT_CONNECT_FAILED								= $0000010E
#STATUS_PAGE_FAULT_TRANSITION										= $00000110
#STATUS_PAGE_FAULT_DEMAND_ZERO										= $00000111
#STATUS_PAGE_FAULT_COPY_ON_WRITE										= $00000112
#STATUS_PAGE_FAULT_GUARD_PAGE										= $00000113
#STATUS_PAGE_FAULT_PAGING_FILE										= $00000114
#STATUS_CACHE_PAGE_LOCKED											= $00000115
#STATUS_CRASH_DUMP													= $00000116
#STATUS_BUFFER_ALL_ZEROS												= $00000117
#STATUS_REPARSE_OBJECT												= $00000118
#STATUS_RESOURCE_REQUIREMENTS_CHANGED								= $00000119
#STATUS_TRANSLATION_COMPLETE											= $00000120
#STATUS_DS_MEMBERSHIP_EVALUATED_LOCALLY								= $00000121
#STATUS_NOTHING_TO_TERMINATE											= $00000122
#STATUS_PROCESS_NOT_IN_JOB											= $00000123
#STATUS_PROCESS_IN_JOB												= $00000124
#DBG_EXCEPTION_HANDLED												= $00010001
#DBG_CONTINUE														= $00010002

;;
;								;
; Standard Information values	;
;								;
;;

#STATUS_OBJECT_NAME_EXISTS											= $40000000
#STATUS_THREAD_WAS_SUSPENDED											= $40000001
#STATUS_WORKING_SET_LIMIT_RANGE										= $40000002
#STATUS_IMAGE_NOT_AT_BASE											= $40000003
#STATUS_RXACT_STATE_CREATED											= $40000004
#STATUS_SEGMENT_NOTIFICATION											= $40000005
#STATUS_LOCAL_USER_SESSION_KEY										= $40000006
#STATUS_BAD_CURRENT_DIRECTORY										= $40000007
#STATUS_SERIAL_MORE_WRITES											= $40000008
#STATUS_REGISTRY_RECOVERED											= $40000009
#STATUS_FT_READ_RECOVERY_FROM_BACKUP									= $4000000A
#STATUS_FT_WRITE_RECOVERY											= $4000000B
#STATUS_SERIAL_COUNTER_TIMEOUT										= $4000000C
#STATUS_NULL_LM_PASSWORD												= $4000000D
#STATUS_IMAGE_MACHINE_TYPE_MISMATCH									= $4000000E
#STATUS_RECEIVE_PARTIAL												= $4000000F
#STATUS_RECEIVE_EXPEDITED											= $40000010
#STATUS_RECEIVE_PARTIAL_EXPEDITED									= $40000011
#STATUS_EVENT_DONE													= $40000012
#STATUS_EVENT_PENDING												= $40000013
#STATUS_CHECKING_FILE_SYSTEM											= $40000014
#STATUS_FATAL_APP_EXIT												= $40000015
#STATUS_PREDEFINED_HANDLE											= $40000016
#STATUS_WAS_UNLOCKED													= $40000017
#STATUS_SERVICE_NOTIFICATION											= $40000018
#STATUS_WAS_LOCKED													= $40000019
#STATUS_LOG_HARD_ERROR												= $4000001A
#STATUS_ALREADY_WIN32												= $4000001B
#STATUS_WX86_UNSIMULATE												= $4000001C
#STATUS_WX86_CONTINUE												= $4000001D
#STATUS_WX86_SINGLE_STEP												= $4000001E
#STATUS_WX86_BREAKPOINT												= $4000001F
#STATUS_WX86_EXCEPTION_CONTINUE										= $40000020
#STATUS_WX86_EXCEPTION_LASTCHANCE									= $40000021
#STATUS_WX86_EXCEPTION_CHAIN											= $40000022
#STATUS_IMAGE_MACHINE_TYPE_MISMATCH_EXE								= $40000023
#STATUS_NO_YIELD_PERFORMED											= $40000024
#STATUS_TIMER_RESUME_IGNORED											= $40000025
#STATUS_ARBITRATION_UNHANDLED										= $40000026
#STATUS_CARDBUS_NOT_SUPPORTED										= $40000027
#STATUS_WX86_CREATEWX86TIB											= $40000028
#STATUS_MP_PROCESSOR_MISMATCH										= $40000029
#STATUS_HIBERNATED													= $4000002A
#STATUS_RESUME_HIBERNATION											= $4000002B
#DBG_REPLY_LATER														= $40010001
#DBG_UNABLE_TO_PROVIDE_HANDLE										= $40010002
#DBG_TERMINATE_THREAD												= $40010003
#DBG_TERMINATE_PROCESS												= $40010004
#DBG_CONTROL_C														= $40010005
#DBG_PRINTEXCEPTION_C												= $40010006
#DBG_RIPEXCEPTION													= $40010007
#DBG_CONTROL_BREAK													= $40010008


;;
;																				;
;	Standard Warning values														;
;																				;
;																				;
;Note:  Do NOT use the value = $80000000L, as this is a non-portable value	;
;		for the NT_SUCCESS macro. Warning values start with a code of 1.		;
;																				;
;;

#STATUS_GUARD_PAGE_VIOLATION											= $80000001
#STATUS_DATATYPE_MISALIGNMENT										= $80000002
#STATUS_BREAKPOINT													= $80000003
#STATUS_SINGLE_STEP													= $80000004
#STATUS_BUFFER_OVERFLOW												= $80000005
#STATUS_NO_MORE_FILES												= $80000006
#STATUS_WAKE_SYSTEM_DEBUGGER											= $80000007
#STATUS_HANDLES_CLOSED												= $8000000A
#STATUS_NO_INHERITANCE												= $8000000B
#STATUS_GUID_SUBSTITUTION_MADE										= $8000000C
#STATUS_PARTIAL_COPY													= $8000000D
#STATUS_DEVICE_PAPER_EMPTY											= $8000000E
#STATUS_DEVICE_POWERED_OFF											= $8000000F

#STATUS_DEVICE_OFF_LINE												= $80000010
#STATUS_DEVICE_BUSY													= $80000011
#STATUS_NO_MORE_EAS													= $80000012
#STATUS_INVALID_EA_NAME												= $80000013
#STATUS_EA_LIST_INCONSISTENT											= $80000014
#STATUS_INVALID_EA_FLAG												= $80000015
#STATUS_VERIFY_REQUIRED												= $80000016
#STATUS_EXTRANEOUS_INFORMATION										= $80000017
#STATUS_RXACT_COMMIT_NECESSARY										= $80000018
#STATUS_NO_MORE_ENTRIES												= $8000001A
#STATUS_FILEMARK_DETECTED											= $8000001B
#STATUS_MEDIA_CHANGED												= $8000001C
#STATUS_BUS_RESET													= $8000001D
#STATUS_END_OF_MEDIA													= $8000001E
#STATUS_BEGINNING_OF_MEDIA											= $8000001F
#STATUS_MEDIA_CHECK													= $80000020
#STATUS_SETMARK_DETECTED												= $80000021
#STATUS_NO_DATA_DETECTED												= $80000022
#STATUS_REDIRECTOR_HAS_OPEN_HANDLES									= $80000023
#STATUS_SERVER_HAS_OPEN_HANDLES										= $80000024
#STATUS_ALREADY_DISCONNECTED											= $80000025
#STATUS_LONGJUMP														= $80000026
#STATUS_CLEANER_CARTRIDGE_INSTALLED									= $80000027
#STATUS_PLUGPLAY_QUERY_VETOED										= $80000028
#STATUS_UNWIND_CONSOLIDATE											= $80000029
#DBG_EXCEPTION_NOT_HANDLED											= $80010001
#STATUS_CLUSTER_NODE_ALREADY_UP										= $80130001
#STATUS_CLUSTER_NODE_ALREADY_DOWN									= $80130002
#STATUS_CLUSTER_NETWORK_ALREADY_ONLINE								= $80130003
#STATUS_CLUSTER_NETWORK_ALREADY_OFFLINE								= $80130004
#STATUS_CLUSTER_NODE_ALREADY_MEMBER									= $80130005

;;
;							;
;	Standard Error values	;
;							;
;;

#STATUS_UNSUCCESSFUL													= $C0000001
#STATUS_NOT_IMPLEMENTED												= $C0000002
#STATUS_INVALID_INFO_CLASS											= $C0000003
#STATUS_INFO_LENGTH_MISMATCH											= $C0000004
#STATUS_ACCESS_VIOLATION												= $C0000005
#STATUS_IN_PAGE_ERROR												= $C0000006
#STATUS_PAGEFILE_QUOTA												= $C0000007
#STATUS_INVALID_HANDLE												= $C0000008
#STATUS_BAD_INITIAL_STACK											= $C0000009
#STATUS_BAD_INITIAL_PC												= $C000000A
#STATUS_INVALID_CID													= $C000000B
#STATUS_TIMER_NOT_CANCELED											= $C000000C
#STATUS_INVALID_PARAMETER											= $C000000D
#STATUS_NO_SUCH_DEVICE												= $C000000E
#STATUS_NO_SUCH_FILE													= $C000000F
#STATUS_INVALID_DEVICE_REQUEST										= $C0000010
#STATUS_END_OF_FILE													= $C0000011
#STATUS_WRONG_VOLUME													= $C0000012
#STATUS_NO_MEDIA_IN_DEVICE											= $C0000013
#STATUS_UNRECOGNIZED_MEDIA											= $C0000014
#STATUS_NONEXISTENT_SECTOR											= $C0000015
#STATUS_MORE_PROCESSING_REQUIRED										= $C0000016
#STATUS_NO_MEMORY													= $C0000017
#STATUS_CONFLICTING_ADDRESSES										= $C0000018
#STATUS_NOT_MAPPED_VIEW												= $C0000019
#STATUS_UNABLE_TO_FREE_VM											= $C000001A
#STATUS_UNABLE_TO_DELETE_SECTION										= $C000001B
#STATUS_INVALID_SYSTEM_SERVICE										= $C000001C
#STATUS_ILLEGAL_INSTRUCTION											= $C000001D
#STATUS_INVALID_LOCK_SEQUENCE										= $C000001E
#STATUS_INVALID_VIEW_SIZE											= $C000001F
#STATUS_INVALID_FILE_FOR_SECTION										= $C0000020
#STATUS_ALREADY_COMMITTED											= $C0000021
#STATUS_ACCESS_DENIED												= $C0000022
#STATUS_BUFFER_TOO_SMALL												= $C0000023
#STATUS_OBJECT_TYPE_MISMATCH											= $C0000024
#STATUS_NONCONTINUABLE_EXCEPTION										= $C0000025
#STATUS_INVALID_DISPOSITION											= $C0000026
#STATUS_UNWIND														= $C0000027
#STATUS_BAD_STACK													= $C0000028
#STATUS_INVALID_UNWIND_TARGET										= $C0000029
#STATUS_NOT_LOCKED													= $C000002A
#STATUS_PARITY_ERROR													= $C000002B
#STATUS_UNABLE_TO_DECOMMIT_VM										= $C000002C
#STATUS_NOT_COMMITTED												= $C000002D
#STATUS_INVALID_PORT_ATTRIBUTES										= $C000002E
#STATUS_PORT_MESSAGE_TOO_LONG										= $C000002F
#STATUS_INVALID_PARAMETER_MIX										= $C0000030
#STATUS_INVALID_QUOTA_LOWER											= $C0000031
#STATUS_DISK_CORRUPT_ERROR											= $C0000032
#STATUS_OBJECT_NAME_INVALID											= $C0000033
#STATUS_OBJECT_NAME_NOT_FOUND										= $C0000034
#STATUS_OBJECT_NAME_COLLISION										= $C0000035
#STATUS_PORT_DISCONNECTED											= $C0000037
#STATUS_DEVICE_ALREADY_ATTACHED										= $C0000038
#STATUS_OBJECT_PATH_INVALID											= $C0000039
#STATUS_OBJECT_PATH_NOT_FOUND										= $C000003A
#STATUS_OBJECT_PATH_SYNTAX_BAD										= $C000003B
#STATUS_DATA_OVERRUN													= $C000003C
#STATUS_DATA_LATE_ERROR												= $C000003D
#STATUS_DATA_ERROR													= $C000003E
#STATUS_CRC_ERROR													= $C000003F
#STATUS_SECTION_TOO_BIG												= $C0000040
#STATUS_PORT_CONNECTION_REFUSED										= $C0000041
#STATUS_INVALID_PORT_HANDLE											= $C0000042
#STATUS_SHARING_VIOLATION											= $C0000043
#STATUS_QUOTA_EXCEEDED												= $C0000044
#STATUS_INVALID_PAGE_PROTECTION										= $C0000045
#STATUS_MUTANT_NOT_OWNED												= $C0000046
#STATUS_SEMAPHORE_LIMIT_EXCEEDED										= $C0000047
#STATUS_PORT_ALREADY_SET												= $C0000048
#STATUS_SECTION_NOT_IMAGE											= $C0000049
#STATUS_SUSPEND_COUNT_EXCEEDED										= $C000004A
#STATUS_THREAD_IS_TERMINATING										= $C000004B
#STATUS_BAD_WORKING_SET_LIMIT										= $C000004C
#STATUS_INCOMPATIBLE_FILE_MAP										= $C000004D
#STATUS_SECTION_PROTECTION											= $C000004E
#STATUS_EAS_NOT_SUPPORTED											= $C000004F
#STATUS_EA_TOO_LARGE													= $C0000050
#STATUS_NONEXISTENT_EA_ENTRY											= $C0000051
#STATUS_NO_EAS_ON_FILE												= $C0000052
#STATUS_EA_CORRUPT_ERROR												= $C0000053
#STATUS_FILE_LOCK_CONFLICT											= $C0000054
#STATUS_LOCK_NOT_GRANTED												= $C0000055
#STATUS_DELETE_PENDING												= $C0000056
#STATUS_CTL_FILE_NOT_SUPPORTED										= $C0000057
#STATUS_UNKNOWN_REVISION												= $C0000058
#STATUS_REVISION_MISMATCH											= $C0000059
#STATUS_INVALID_OWNER												= $C000005A
#STATUS_INVALID_PRIMARY_GROUP										= $C000005B
#STATUS_NO_IMPERSONATION_TOKEN										= $C000005C
#STATUS_CANT_DISABLE_MANDATORY										= $C000005D
#STATUS_NO_LOGON_SERVERS												= $C000005E
#STATUS_NO_SUCH_LOGON_SESSION										= $C000005F
#STATUS_NO_SUCH_PRIVILEGE											= $C0000060
#STATUS_PRIVILEGE_NOT_HELD											= $C0000061
#STATUS_INVALID_ACCOUNT_NAME											= $C0000062
#STATUS_USER_EXISTS													= $C0000063
#STATUS_NO_SUCH_USER													= $C0000064
#STATUS_GROUP_EXISTS													= $C0000065
#STATUS_NO_SUCH_GROUP												= $C0000066
#STATUS_MEMBER_IN_GROUP												= $C0000067
#STATUS_MEMBER_NOT_IN_GROUP											= $C0000068
#STATUS_LAST_ADMIN													= $C0000069
#STATUS_WRONG_PASSWORD												= $C000006A
#STATUS_ILL_FORMED_PASSWORD											= $C000006B
#STATUS_PASSWORD_RESTRICTION											= $C000006C
#STATUS_LOGON_FAILURE												= $C000006D
#STATUS_ACCOUNT_RESTRICTION											= $C000006E
#STATUS_INVALID_LOGON_HOURS											= $C000006F
#STATUS_INVALID_WORKSTATION											= $C0000070
#STATUS_PASSWORD_EXPIRED												= $C0000071
#STATUS_ACCOUNT_DISABLED												= $C0000072
#STATUS_NONE_MAPPED													= $C0000073
#STATUS_TOO_MANY_LUIDS_REQUESTED										= $C0000074
#STATUS_LUIDS_EXHAUSTED												= $C0000075
#STATUS_INVALID_SUB_AUTHORITY										= $C0000076
#STATUS_INVALID_ACL													= $C0000077
#STATUS_INVALID_SID													= $C0000078
#STATUS_INVALID_SECURITY_DESCR										= $C0000079
#STATUS_PROCEDURE_NOT_FOUND											= $C000007A
#STATUS_INVALID_IMAGE_FORMAT											= $C000007B
#STATUS_NO_TOKEN														= $C000007C
#STATUS_BAD_INHERITANCE_ACL											= $C000007D
#STATUS_RANGE_NOT_LOCKED												= $C000007E
#STATUS_DISK_FULL													= $C000007F
#STATUS_SERVER_DISABLED												= $C0000080
#STATUS_SERVER_NOT_DISABLED											= $C0000081
#STATUS_TOO_MANY_GUIDS_REQUESTED										= $C0000082
#STATUS_GUIDS_EXHAUSTED												= $C0000083
#STATUS_INVALID_ID_AUTHORITY											= $C0000084
#STATUS_AGENTS_EXHAUSTED												= $C0000085
#STATUS_INVALID_VOLUME_LABEL											= $C0000086
#STATUS_SECTION_NOT_EXTENDED											= $C0000087
#STATUS_NOT_MAPPED_DATA												= $C0000088
#STATUS_RESOURCE_DATA_NOT_FOUND										= $C0000089
#STATUS_RESOURCE_TYPE_NOT_FOUND										= $C000008A
#STATUS_RESOURCE_NAME_NOT_FOUND										= $C000008B
#STATUS_ARRAY_BOUNDS_EXCEEDED										= $C000008C
#STATUS_FLOAT_DENORMAL_OPERAND										= $C000008D
#STATUS_FLOAT_DIVIDE_BY_ZERO											= $C000008E
#STATUS_FLOAT_INEXACT_RESULT											= $C000008F
#STATUS_FLOAT_INVALID_OPERATION										= $C0000090
#STATUS_FLOAT_OVERFLOW												= $C0000091
#STATUS_FLOAT_STACK_CHECK											= $C0000092
#STATUS_FLOAT_UNDERFLOW												= $C0000093
#STATUS_INTEGER_DIVIDE_BY_ZERO										= $C0000094
#STATUS_INTEGER_OVERFLOW												= $C0000095
#STATUS_PRIVILEGED_INSTRUCTION										= $C0000096
#STATUS_TOO_MANY_PAGING_FILES										= $C0000097
#STATUS_FILE_INVALID													= $C0000098
#STATUS_ALLOTTED_SPACE_EXCEEDED										= $C0000099
#STATUS_INSUFFICIENT_RESOURCES										= $C000009A
#STATUS_DFS_EXIT_PATH_FOUND											= $C000009B
#STATUS_DEVICE_DATA_ERROR											= $C000009C
#STATUS_DEVICE_NOT_CONNECTED											= $C000009D
#STATUS_DEVICE_POWER_FAILURE											= $C000009E
#STATUS_FREE_VM_NOT_AT_BASE											= $C000009F
#STATUS_MEMORY_NOT_ALLOCATED											= $C00000A0
#STATUS_WORKING_SET_QUOTA											= $C00000A1
#STATUS_MEDIA_WRITE_PROTECTED										= $C00000A2
#STATUS_DEVICE_NOT_READY												= $C00000A3
#STATUS_INVALID_GROUP_ATTRIBUTES										= $C00000A4
#STATUS_BAD_IMPERSONATION_LEVEL										= $C00000A5
#STATUS_CANT_OPEN_ANONYMOUS											= $C00000A6
#STATUS_BAD_VALIDATION_CLASS											= $C00000A7
#STATUS_BAD_TOKEN_TYPE												= $C00000A8
#STATUS_BAD_MASTER_BOOT_RECORD										= $C00000A9
#STATUS_INSTRUCTION_MISALIGNMENT										= $C00000AA
#STATUS_INSTANCE_NOT_AVAILABLE										= $C00000AB
#STATUS_PIPE_NOT_AVAILABLE											= $C00000AC
#STATUS_INVALID_PIPE_STATE											= $C00000AD
#STATUS_PIPE_BUSY													= $C00000AE
#STATUS_ILLEGAL_FUNCTION												= $C00000AF
#STATUS_PIPE_DISCONNECTED											= $C00000B0
#STATUS_PIPE_CLOSING													= $C00000B1
#STATUS_PIPE_CONNECTED												= $C00000B2
#STATUS_PIPE_LISTENING												= $C00000B3
#STATUS_INVALID_READ_MODE											= $C00000B4
#STATUS_IO_TIMEOUT													= $C00000B5
#STATUS_FILE_FORCED_CLOSED											= $C00000B6
#STATUS_PROFILING_NOT_STARTED										= $C00000B7
#STATUS_PROFILING_NOT_STOPPED										= $C00000B8
#STATUS_COULD_NOT_INTERPRET											= $C00000B9
#STATUS_FILE_IS_A_DIRECTORY											= $C00000BA
#STATUS_NOT_SUPPORTED												= $C00000BB
#STATUS_REMOTE_NOT_LISTENING											= $C00000BC
#STATUS_DUPLICATE_NAME												= $C00000BD
#STATUS_BAD_NETWORK_PATH												= $C00000BE
#STATUS_NETWORK_BUSY													= $C00000BF
#STATUS_DEVICE_DOES_NOT_EXIST										= $C00000C0
#STATUS_TOO_MANY_COMMANDS											= $C00000C1
#STATUS_ADAPTER_HARDWARE_ERROR										= $C00000C2
#STATUS_INVALID_NETWORK_RESPONSE										= $C00000C3
#STATUS_UNEXPECTED_NETWORK_ERROR										= $C00000C4
#STATUS_BAD_REMOTE_ADAPTER											= $C00000C5
#STATUS_PRINT_QUEUE_FULL												= $C00000C6
#STATUS_NO_SPOOL_SPACE												= $C00000C7
#STATUS_PRINT_CANCELLED												= $C00000C8
#STATUS_NETWORK_NAME_DELETED											= $C00000C9
#STATUS_NETWORK_ACCESS_DENIED										= $C00000CA
#STATUS_BAD_DEVICE_TYPE												= $C00000CB
#STATUS_BAD_NETWORK_NAME												= $C00000CC
#STATUS_TOO_MANY_NAMES												= $C00000CD
#STATUS_TOO_MANY_SESSIONS											= $C00000CE
#STATUS_SHARING_PAUSED												= $C00000CF
#STATUS_REQUEST_NOT_ACCEPTED											= $C00000D0
#STATUS_REDIRECTOR_PAUSED											= $C00000D1
#STATUS_NET_WRITE_FAULT												= $C00000D2
#STATUS_PROFILING_AT_LIMIT											= $C00000D3
#STATUS_NOT_SAME_DEVICE												= $C00000D4
#STATUS_FILE_RENAMED													= $C00000D5
#STATUS_VIRTUAL_CIRCUIT_CLOSED										= $C00000D6
#STATUS_NO_SECURITY_ON_OBJECT										= $C00000D7
#STATUS_CANT_WAIT													= $C00000D8
#STATUS_PIPE_EMPTY													= $C00000D9
#STATUS_CANT_ACCESS_DOMAIN_INFO										= $C00000DA
#STATUS_CANT_TERMINATE_SELF											= $C00000DB
#STATUS_INVALID_SERVER_STATE											= $C00000DC
#STATUS_INVALID_DOMAIN_STATE											= $C00000DD
#STATUS_INVALID_DOMAIN_ROLE											= $C00000DE
#STATUS_NO_SUCH_DOMAIN												= $C00000DF
#STATUS_DOMAIN_EXISTS												= $C00000E0
#STATUS_DOMAIN_LIMIT_EXCEEDED										= $C00000E1
#STATUS_OPLOCK_NOT_GRANTED											= $C00000E2
#STATUS_INVALID_OPLOCK_PROTOCOL										= $C00000E3
#STATUS_INTERNAL_DB_CORRUPTION										= $C00000E4
#STATUS_INTERNAL_ERROR												= $C00000E5
#STATUS_GENERIC_NOT_MAPPED											= $C00000E6
#STATUS_BAD_DESCRIPTOR_FORMAT										= $C00000E7
#STATUS_INVALID_USER_BUFFER											= $C00000E8
#STATUS_UNEXPECTED_IO_ERROR											= $C00000E9
#STATUS_UNEXPECTED_MM_CREATE_ERR										= $C00000EA
#STATUS_UNEXPECTED_MM_MAP_ERROR										= $C00000EB
#STATUS_UNEXPECTED_MM_EXTEND_ERR										= $C00000EC
#STATUS_NOT_LOGON_PROCESS											= $C00000ED
#STATUS_LOGON_SESSION_EXISTS											= $C00000EE
#STATUS_INVALID_PARAMETER_1											= $C00000EF
#STATUS_INVALID_PARAMETER_2											= $C00000F0
#STATUS_INVALID_PARAMETER_3											= $C00000F1
#STATUS_INVALID_PARAMETER_4											= $C00000F2
#STATUS_INVALID_PARAMETER_5											= $C00000F3
#STATUS_INVALID_PARAMETER_6											= $C00000F4
#STATUS_INVALID_PARAMETER_7											= $C00000F5
#STATUS_INVALID_PARAMETER_8											= $C00000F6
#STATUS_INVALID_PARAMETER_9											= $C00000F7
#STATUS_INVALID_PARAMETER_10											= $C00000F8
#STATUS_INVALID_PARAMETER_11											= $C00000F9
#STATUS_INVALID_PARAMETER_12											= $C00000FA
#STATUS_REDIRECTOR_NOT_STARTED										= $C00000FB
#STATUS_REDIRECTOR_STARTED											= $C00000FC
#STATUS_STACK_OVERFLOW												= $C00000FD
#STATUS_NO_SUCH_PACKAGE												= $C00000FE
#STATUS_BAD_FUNCTION_TABLE											= $C00000FF
#STATUS_VARIABLE_NOT_FOUND											= $C0000100
#STATUS_DIRECTORY_NOT_EMPTY											= $C0000101
#STATUS_FILE_CORRUPT_ERROR 											= $C0000102
#STATUS_NOT_A_DIRECTORY												= $C0000103
#STATUS_BAD_LOGON_SESSION_STATE										= $C0000104
#STATUS_LOGON_SESSION_COLLISION										= $C0000105
#STATUS_NAME_TOO_LONG												= $C0000106
#STATUS_FILES_OPEN													= $C0000107
#STATUS_CONNECTION_IN_USE											= $C0000108
#STATUS_MESSAGE_NOT_FOUND											= $C0000109
#STATUS_PROCESS_IS_TERMINATING										= $C000010A
#STATUS_INVALID_LOGON_TYPE											= $C000010B
#STATUS_NO_GUID_TRANSLATION											= $C000010C
#STATUS_CANNOT_IMPERSONATE											= $C000010D
#STATUS_IMAGE_ALREADY_LOADED											= $C000010E

;;
;																		;
;	NOTE: 	The following ABIOS error code should be reserved on		;
;			non ABIOS kernel. Eventually, I will remove the ifdef		;
;			ABIOS.														;
;																		;
;;

#STATUS_ABIOS_NOT_PRESENT											= $C000010F
#STATUS_ABIOS_LID_NOT_EXIST											= $C0000110
#STATUS_ABIOS_LID_ALREADY_OWNED										= $C0000111
#STATUS_ABIOS_NOT_LID_OWNER											= $C0000112
#STATUS_ABIOS_INVALID_COMMAND										= $C0000113
#STATUS_ABIOS_INVALID_LID											= $C0000114
#STATUS_ABIOS_SELECTOR_NOT_AVAILABLE									= $C0000115
#STATUS_ABIOS_INVALID_SELECTOR										= $C0000116
#STATUS_NO_LDT														= $C0000117
#STATUS_INVALID_LDT_SIZE												= $C0000118
#STATUS_INVALID_LDT_OFFSET											= $C0000119
#STATUS_INVALID_LDT_DESCRIPTOR										= $C000011A
#STATUS_INVALID_IMAGE_NE_FORMAT										= $C000011B
#STATUS_RXACT_INVALID_STATE											= $C000011C
#STATUS_RXACT_COMMIT_FAILURE											= $C000011D
#STATUS_MAPPED_FILE_SIZE_ZERO										= $C000011E
#STATUS_TOO_MANY_OPENED_FILES										= $C000011F
#STATUS_CANCELLED													= $C0000120
#STATUS_CANNOT_DELETE												= $C0000121
#STATUS_INVALID_COMPUTER_NAME										= $C0000122
#STATUS_FILE_DELETED													= $C0000123
#STATUS_SPECIAL_ACCOUNT												= $C0000124
#STATUS_SPECIAL_GROUP												= $C0000125
#STATUS_SPECIAL_USER													= $C0000126
#STATUS_MEMBERS_PRIMARY_GROUP										= $C0000127
#STATUS_FILE_CLOSED													= $C0000128
#STATUS_TOO_MANY_THREADS												= $C0000129
#STATUS_THREAD_NOT_IN_PROCESS										= $C000012A
#STATUS_TOKEN_ALREADY_IN_USE											= $C000012B
#STATUS_PAGEFILE_QUOTA_EXCEEDED										= $C000012C
#STATUS_COMMITMENT_LIMIT												= $C000012D
#STATUS_INVALID_IMAGE_LE_FORMAT										= $C000012E
#STATUS_INVALID_IMAGE_NOT_MZ											= $C000012F
#STATUS_INVALID_IMAGE_PROTECT										= $C0000130
#STATUS_INVALID_IMAGE_WIN_16											= $C0000131
#STATUS_LOGON_SERVER_CONFLICT										= $C0000132
#STATUS_TIME_DIFFERENCE_AT_DC										= $C0000133
#STATUS_SYNCHRONIZATION_REQUIRED										= $C0000134
#STATUS_DLL_NOT_FOUND												= $C0000135
#STATUS_OPEN_FAILED													= $C0000136
#STATUS_IO_PRIVILEGE_FAILED											= $C0000137
#STATUS_ORDINAL_NOT_FOUND											= $C0000138
#STATUS_ENTRYPOINT_NOT_FOUND											= $C0000139
#STATUS_CONTROL_C_EXIT												= $C000013A
#STATUS_LOCAL_DISCONNECT												= $C000013B
#STATUS_REMOTE_DISCONNECT											= $C000013C
#STATUS_REMOTE_RESOURCES												= $C000013D
#STATUS_LINK_FAILED													= $C000013E
#STATUS_LINK_TIMEOUT													= $C000013F
#STATUS_INVALID_CONNECTION											= $C0000140
#STATUS_INVALID_ADDRESS												= $C0000141
#STATUS_DLL_INIT_FAILED												= $C0000142
#STATUS_MISSING_SYSTEMFILE											= $C0000143
#STATUS_UNHANDLED_EXCEPTION											= $C0000144
#STATUS_APP_INIT_FAILURE												= $C0000145
#STATUS_PAGEFILE_CREATE_FAILED										= $C0000146
#STATUS_NO_PAGEFILE													= $C0000147
#STATUS_INVALID_LEVEL												= $C0000148
#STATUS_WRONG_PASSWORD_CORE											= $C0000149
#STATUS_ILLEGAL_FLOAT_CONTEXT										= $C000014A
#STATUS_PIPE_BROKEN													= $C000014B
#STATUS_REGISTRY_CORRUPT												= $C000014C
#STATUS_REGISTRY_IO_FAILED											= $C000014D
#STATUS_NO_EVENT_PAIR												= $C000014E
#STATUS_UNRECOGNIZED_VOLUME											= $C000014F
#STATUS_SERIAL_NO_DEVICE_INITED										= $C0000150
#STATUS_NO_SUCH_ALIAS												= $C0000151
#STATUS_MEMBER_NOT_IN_ALIAS											= $C0000152
#STATUS_MEMBER_IN_ALIAS												= $C0000153
#STATUS_ALIAS_EXISTS													= $C0000154
#STATUS_LOGON_NOT_GRANTED											= $C0000155
#STATUS_TOO_MANY_SECRETS												= $C0000156
#STATUS_SECRET_TOO_LONG												= $C0000157
#STATUS_INTERNAL_DB_ERROR											= $C0000158
#STATUS_FULLSCREEN_MODE												= $C0000159
#STATUS_TOO_MANY_CONTEXT_IDS											= $C000015A
#STATUS_LOGON_TYPE_NOT_GRANTED										= $C000015B
#STATUS_NOT_REGISTRY_FILE											= $C000015C
#STATUS_NT_CROSS_ENCRYPTION_REQUIRED									= $C000015D
#STATUS_DOMAIN_CTRLR_CONFIG_ERROR									= $C000015E
#STATUS_FT_MISSING_MEMBER											= $C000015F
#STATUS_ILL_FORMED_SERVICE_ENTRY										= $C0000160
#STATUS_ILLEGAL_CHARACTER											= $C0000161
#STATUS_UNMAPPABLE_CHARACTER											= $C0000162
#STATUS_UNDEFINED_CHARACTER											= $C0000163
#STATUS_FLOPPY_VOLUME												= $C0000164
#STATUS_FLOPPY_ID_MARK_NOT_FOUND										= $C0000165
#STATUS_FLOPPY_WRONG_CYLINDER										= $C0000166
#STATUS_FLOPPY_UNKNOWN_ERROR											= $C0000167
#STATUS_FLOPPY_BAD_REGISTERS											= $C0000168
#STATUS_DISK_RECALIBRATE_FAILED										= $C0000169
#STATUS_DISK_OPERATION_FAILED										= $C000016A
#STATUS_DISK_RESET_FAILED											= $C000016B
#STATUS_SHARED_IRQ_BUSY												= $C000016C
#STATUS_FT_ORPHANING													= $C000016D
#STATUS_BIOS_FAILED_TO_CONNECT_INTERRUPT								= $C000016E
#STATUS_PARTITION_FAILURE											= $C0000172
#STATUS_INVALID_BLOCK_LENGTH											= $C0000173
#STATUS_DEVICE_NOT_PARTITIONED										= $C0000174
#STATUS_UNABLE_TO_LOCK_MEDIA											= $C0000175
#STATUS_UNABLE_TO_UNLOAD_MEDIA										= $C0000176
#STATUS_EOM_OVERFLOW													= $C0000177
#STATUS_NO_MEDIA														= $C0000178
#STATUS_NO_SUCH_MEMBER												= $C000017A
#STATUS_INVALID_MEMBER												= $C000017B
#STATUS_KEY_DELETED													= $C000017C
#STATUS_NO_LOG_SPACE													= $C000017D
#STATUS_TOO_MANY_SIDS												= $C000017E
#STATUS_LM_CROSS_ENCRYPTION_REQUIRED									= $C000017F
#STATUS_KEY_HAS_CHILDREN												= $C0000180
#STATUS_CHILD_MUST_BE_VOLATILE										= $C0000181
#STATUS_DEVICE_CONFIGURATION_ERROR									= $C0000182
#STATUS_DRIVER_INTERNAL_ERROR										= $C0000183
#STATUS_INVALID_DEVICE_STATE											= $C0000184
#STATUS_IO_DEVICE_ERROR												= $C0000185
#STATUS_DEVICE_PROTOCOL_ERROR										= $C0000186
#STATUS_BACKUP_CONTROLLER											= $C0000187
#STATUS_LOG_FILE_FULL												= $C0000188
#STATUS_TOO_LATE														= $C0000189
#STATUS_NO_TRUST_LSA_SECRET											= $C000018A
#STATUS_NO_TRUST_SAM_ACCOUNT											= $C000018B
#STATUS_TRUSTED_DOMAIN_FAILURE										= $C000018C
#STATUS_TRUSTED_RELATIONSHIP_FAILURE									= $C000018D
#STATUS_EVENTLOG_FILE_CORRUPT										= $C000018E
#STATUS_EVENTLOG_CANT_START											= $C000018F
#STATUS_TRUST_FAILURE												= $C0000190
#STATUS_MUTANT_LIMIT_EXCEEDED										= $C0000191
#STATUS_NETLOGON_NOT_STARTED											= $C0000192
#STATUS_ACCOUNT_EXPIRED												= $C0000193
#STATUS_POSSIBLE_DEADLOCK											= $C0000194
#STATUS_NETWORK_CREDENTIAL_CONFLICT									= $C0000195
#STATUS_REMOTE_SESSION_LIMIT											= $C0000196
#STATUS_EVENTLOG_FILE_CHANGED										= $C0000197
#STATUS_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT							= $C0000198
#STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT							= $C0000199
#STATUS_NOLOGON_SERVER_TRUST_ACCOUNT									= $C000019A
#STATUS_DOMAIN_TRUST_INCONSISTENT									= $C000019B
#STATUS_FS_DRIVER_REQUIRED											= $C000019C
#STATUS_NO_USER_SESSION_KEY											= $C0000202
#STATUS_USER_SESSION_DELETED											= $C0000203
#STATUS_RESOURCE_LANG_NOT_FOUND										= $C0000204
#STATUS_INSUFF_SERVER_RESOURCES										= $C0000205
#STATUS_INVALID_BUFFER_SIZE											= $C0000206
#STATUS_INVALID_ADDRESS_COMPONENT									= $C0000207
#STATUS_INVALID_ADDRESS_WILDCARD										= $C0000208
#STATUS_TOO_MANY_ADDRESSES											= $C0000209
#STATUS_ADDRESS_ALREADY_EXISTS										= $C000020A
#STATUS_ADDRESS_CLOSED												= $C000020B
#STATUS_CONNECTION_DISCONNECTED										= $C000020C
#STATUS_CONNECTION_RESET												= $C000020D
#STATUS_TOO_MANY_NODES												= $C000020E
#STATUS_TRANSACTION_ABORTED											= $C000020F
#STATUS_TRANSACTION_TIMED_OUT										= $C0000210
#STATUS_TRANSACTION_NO_RELEASE										= $C0000211
#STATUS_TRANSACTION_NO_MATCH											= $C0000212
#STATUS_TRANSACTION_RESPONDED										= $C0000213
#STATUS_TRANSACTION_INVALID_ID										= $C0000214
#STATUS_TRANSACTION_INVALID_TYPE										= $C0000215
#STATUS_NOT_SERVER_SESSION											= $C0000216
#STATUS_NOT_CLIENT_SESSION											= $C0000217
#STATUS_CANNOT_LOAD_REGISTRY_FILE									= $C0000218
#STATUS_DEBUG_ATTACH_FAILED											= $C0000219
#STATUS_SYSTEM_PROCESS_TERMINATED									= $C000021A
#STATUS_DATA_NOT_ACCEPTED											= $C000021B
#STATUS_NO_BROWSER_SERVERS_FOUND										= $C000021C
#STATUS_VDM_HARD_ERROR												= $C000021D
#STATUS_DRIVER_CANCEL_TIMEOUT										= $C000021E
#STATUS_REPLY_MESSAGE_MISMATCH										= $C000021F
#STATUS_MAPPED_ALIGNMENT												= $C0000220
#STATUS_IMAGE_CHECKSUM_MISMATCH										= $C0000221
#STATUS_LOST_WRITEBEHIND_DATA										= $C0000222
#STATUS_CLIENT_SERVER_PARAMETERS_INVALID								= $C0000223
#STATUS_PASSWORD_MUST_CHANGE											= $C0000224
#STATUS_NOT_FOUND													= $C0000225
#STATUS_NOT_TINY_STREAM												= $C0000226
#STATUS_RECOVERY_FAILURE												= $C0000227
#STATUS_STACK_OVERFLOW_READ											= $C0000228
#STATUS_FAIL_CHECK													= $C0000229
#STATUS_DUPLICATE_OBJECTID											= $C000022A
#STATUS_OBJECTID_EXISTS												= $C000022B
#STATUS_CONVERT_TO_LARGE												= $C000022C
#STATUS_RETRY														= $C000022D
#STATUS_FOUND_OUT_OF_SCOPE											= $C000022E
#STATUS_ALLOCATE_BUCKET												= $C000022F
#STATUS_PROPSET_NOT_FOUND											= $C0000230
#STATUS_MARSHALL_OVERFLOW											= $C0000231
#STATUS_INVALID_VARIANT												= $C0000232
#STATUS_DOMAIN_CONTROLLER_NOT_FOUND									= $C0000233
#STATUS_ACCOUNT_LOCKED_OUT											= $C0000234
#STATUS_HANDLE_NOT_CLOSABLE											= $C0000235
#STATUS_CONNECTION_REFUSED											= $C0000236
#STATUS_GRACEFUL_DISCONNECT											= $C0000237
#STATUS_ADDRESS_ALREADY_ASSOCIATED									= $C0000238
#STATUS_ADDRESS_NOT_ASSOCIATED										= $C0000239
#STATUS_CONNECTION_INVALID											= $C000023A
#STATUS_CONNECTION_ACTIVE											= $C000023B
#STATUS_NETWORK_UNREACHABLE											= $C000023C
#STATUS_HOST_UNREACHABLE												= $C000023D
#STATUS_PROTOCOL_UNREACHABLE											= $C000023E
#STATUS_PORT_UNREACHABLE												= $C000023F
#STATUS_REQUEST_ABORTED												= $C0000240
#STATUS_CONNECTION_ABORTED											= $C0000241
#STATUS_BAD_COMPRESSION_BUFFER										= $C0000242
#STATUS_USER_MAPPED_FILE												= $C0000243
#STATUS_AUDIT_FAILED													= $C0000244
#STATUS_TIMER_RESOLUTION_NOT_SET										= $C0000245
#STATUS_CONNECTION_COUNT_LIMIT										= $C0000246
#STATUS_LOGIN_TIME_RESTRICTION										= $C0000247
#STATUS_LOGIN_WKSTA_RESTRICTION										= $C0000248
#STATUS_IMAGE_MP_UP_MISMATCH											= $C0000249
#STATUS_INSUFFICIENT_LOGON_INFO										= $C0000250
#STATUS_BAD_DLL_ENTRYPOINT											= $C0000251
#STATUS_BAD_SERVICE_ENTRYPOINT										= $C0000252
#STATUS_LPC_REPLY_LOST												= $C0000253
#STATUS_IP_ADDRESS_CONFLICT1											= $C0000254
#STATUS_IP_ADDRESS_CONFLICT2											= $C0000255
#STATUS_REGISTRY_QUOTA_LIMIT											= $C0000256
#STATUS_PATH_NOT_COVERED												= $C0000257
#STATUS_NO_CALLBACK_ACTIVE											= $C0000258
#STATUS_LICENSE_QUOTA_EXCEEDED										= $C0000259
#STATUS_PWD_TOO_SHORT												= $C000025A
#STATUS_PWD_TOO_RECENT												= $C000025B
#STATUS_PWD_HISTORY_CONFLICT											= $C000025C
#STATUS_PLUGPLAY_NO_DEVICE											= $C000025E
#STATUS_UNSUPPORTED_COMPRESSION										= $C000025F
#STATUS_INVALID_HW_PROFILE											= $C0000260
#STATUS_INVALID_PLUGPLAY_DEVICE_PATH									= $C0000261
#STATUS_DRIVER_ORDINAL_NOT_FOUND										= $C0000262
#STATUS_DRIVER_ENTRYPOINT_NOT_FOUND									= $C0000263
#STATUS_RESOURCE_NOT_OWNED											= $C0000264
#STATUS_TOO_MANY_LINKS												= $C0000265
#STATUS_QUOTA_LIST_INCONSISTENT										= $C0000266
#STATUS_FILE_IS_OFFLINE												= $C0000267
#STATUS_EVALUATION_EXPIRATION										= $C0000268
#STATUS_ILLEGAL_DLL_RELOCATION										= $C0000269
#STATUS_LICENSE_VIOLATION											= $C000026A
#STATUS_DLL_INIT_FAILED_LOGOFF										= $C000026B
#STATUS_DRIVER_UNABLE_TO_LOAD										= $C000026C
#STATUS_DFS_UNAVAILABLE												= $C000026D
#STATUS_VOLUME_DISMOUNTED											= $C000026E
#STATUS_WX86_INTERNAL_ERROR											= $C000026F
#STATUS_WX86_FLOAT_STACK_CHECK										= $C0000270
#STATUS_VALIDATE_CONTINUE											= $C0000271
#STATUS_NO_MATCH														= $C0000272
#STATUS_NO_MORE_MATCHES												= $C0000273
#STATUS_NOT_A_REPARSE_POINT											= $C0000275
#STATUS_IO_REPARSE_TAG_INVALID										= $C0000276
#STATUS_IO_REPARSE_TAG_MISMATCH										= $C0000277
#STATUS_IO_REPARSE_DATA_INVALID										= $C0000278
#STATUS_IO_REPARSE_TAG_NOT_HANDLED									= $C0000279
#STATUS_REPARSE_POINT_NOT_RESOLVED									= $C0000280
#STATUS_DIRECTORY_IS_A_REPARSE_POINT									= $C0000281
#STATUS_RANGE_LIST_CONFLICT											= $C0000282
#STATUS_SOURCE_ELEMENT_EMPTY											= $C0000283
#STATUS_DESTINATION_ELEMENT_FULL										= $C0000284
#STATUS_ILLEGAL_ELEMENT_ADDRESS										= $C0000285
#STATUS_MAGAZINE_NOT_PRESENT											= $C0000286
#STATUS_REINITIALIZATION_NEEDED										= $C0000287
#STATUS_DEVICE_REQUIRES_CLEANING										= $80000288
#STATUS_DEVICE_DOOR_OPEN												= $80000289
#STATUS_ENCRYPTION_FAILED											= $C000028A
#STATUS_DECRYPTION_FAILED											= $C000028B
#STATUS_RANGE_NOT_FOUND												= $C000028C
#STATUS_NO_RECOVERY_POLICY											= $C000028D
#STATUS_NO_EFS														= $C000028E
#STATUS_WRONG_EFS													= $C000028F
#STATUS_NO_USER_KEYS													= $C0000290
#STATUS_FILE_NOT_ENCRYPTED											= $C0000291
#STATUS_NOT_EXPORT_FORMAT											= $C0000292
#STATUS_FILE_ENCRYPTED												= $C0000293
#STATUS_WAKE_SYSTEM													= $40000294
#STATUS_WMI_GUID_NOT_FOUND											= $C0000295
#STATUS_WMI_INSTANCE_NOT_FOUND										= $C0000296
#STATUS_WMI_ITEMID_NOT_FOUND											= $C0000297
#STATUS_WMI_TRY_AGAIN												= $C0000298
#STATUS_SHARED_POLICY												= $C0000299
#STATUS_POLICY_OBJECT_NOT_FOUND										= $C000029A
#STATUS_POLICY_ONLY_IN_DS											= $C000029B
#STATUS_VOLUME_NOT_UPGRADED											= $C000029C
#STATUS_REMOTE_STORAGE_NOT_ACTIVE									= $C000029D
#STATUS_REMOTE_STORAGE_MEDIA_ERROR									= $C000029E
#STATUS_NO_TRACKING_SERVICE											= $C000029F
#STATUS_SERVER_SID_MISMATCH											= $C00002A0
#STATUS_DS_NO_ATTRIBUTE_OR_VALUE										= $C00002A1
#STATUS_DS_INVALID_ATTRIBUTE_SYNTAX									= $C00002A2
#STATUS_DS_ATTRIBUTE_TYPE_UNDEFINED									= $C00002A3
#STATUS_DS_ATTRIBUTE_OR_VALUE_EXISTS									= $C00002A4
#STATUS_DS_BUSY														= $C00002A5
#STATUS_DS_UNAVAILABLE												= $C00002A6
#STATUS_DS_NO_RIDS_ALLOCATED											= $C00002A7
#STATUS_DS_NO_MORE_RIDS												= $C00002A8
#STATUS_DS_INCORRECT_ROLE_OWNER										= $C00002A9
#STATUS_DS_RIDMGR_INIT_ERROR											= $C00002AA
#STATUS_DS_OBJ_CLASS_VIOLATION										= $C00002AB
#STATUS_DS_CANT_ON_NON_LEAF											= $C00002AC
#STATUS_DS_CANT_ON_RDN												= $C00002AD
#STATUS_DS_CANT_MOD_OBJ_CLASS										= $C00002AE
#STATUS_DS_CROSS_DOM_MOVE_FAILED										= $C00002AF
#STATUS_DS_GC_NOT_AVAILABLE											= $C00002B0
#STATUS_DIRECTORY_SERVICE_REQUIRED									= $C00002B1
#STATUS_REPARSE_ATTRIBUTE_CONFLICT									= $C00002B2
#STATUS_CANT_ENABLE_DENY_ONLY										= $C00002B3
#STATUS_FLOAT_MULTIPLE_FAULTS										= $C00002B4
#STATUS_FLOAT_MULTIPLE_TRAPS											= $C00002B5
#STATUS_DEVICE_REMOVED												= $C00002B6
#STATUS_JOURNAL_DELETE_IN_PROGRESS									= $C00002B7
#STATUS_JOURNAL_NOT_ACTIVE											= $C00002B8
#STATUS_NOINTERFACE													= $C00002B9
#STATUS_DS_ADMIN_LIMIT_EXCEEDED										= $C00002C1
#STATUS_DRIVER_FAILED_SLEEP											= $C00002C2
#STATUS_MUTUAL_AUTHENTICATION_FAILED									= $C00002C3
#STATUS_CORRUPT_SYSTEM_FILE											= $C00002C4
#STATUS_DATATYPE_MISALIGNMENT_ERROR									= $C00002C5
#STATUS_WMI_READ_ONLY												= $C00002C6
#STATUS_WMI_SET_FAILURE												= $C00002C7
#STATUS_COMMITMENT_MINIMUM											= $C00002C8
#STATUS_REG_NAT_CONSUMPTION											= $C00002C9
#STATUS_TRANSPORT_FULL												= $C00002CA
#STATUS_DS_SAM_INIT_FAILURE											= $C00002CB
#STATUS_ONLY_IF_CONNECTED											= $C00002CC
#STATUS_DS_SENSITIVE_GROUP_VIOLATION									= $C00002CD
#STATUS_PNP_RESTART_ENUMERATION										= $C00002CE
#STATUS_JOURNAL_ENTRY_DELETED										= $C00002CF
#STATUS_DS_CANT_MOD_PRIMARYGROUPID									= $C00002D0
#STATUS_SYSTEM_IMAGE_BAD_SIGNATURE									= $C00002D1
#STATUS_PNP_REBOOT_REQUIRED											= $C00002D2
#STATUS_POWER_STATE_INVALID											= $C00002D3
#STATUS_DS_INVALID_GROUP_TYPE										= $C00002D4
#STATUS_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN						= $C00002D5
#STATUS_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN							= $C00002D6
#STATUS_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER								= $C00002D7
#STATUS_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER							= $C00002D8
#STATUS_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER							= $C00002D9
#STATUS_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER						= $C00002DA
#STATUS_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER					= $C00002DB
#STATUS_DS_HAVE_PRIMARY_MEMBERS										= $C00002DC
#STATUS_WMI_NOT_SUPPORTED											= $C00002DD
#STATUS_INSUFFICIENT_POWER											= $C00002DE
#STATUS_SAM_NEED_BOOTKEY_PASSWORD									= $C00002DF
#STATUS_SAM_NEED_BOOTKEY_FLOPPY										= $C00002E0
#STATUS_DS_CANT_START												= $C00002E1
#STATUS_DS_INIT_FAILURE												= $C00002E2
#STATUS_SAM_INIT_FAILURE												= $C00002E3
#STATUS_DS_GC_REQUIRED												= $C00002E4
#STATUS_DS_LOCAL_MEMBER_OF_LOCAL_ONLY								= $C00002E5
#STATUS_DS_NO_FPO_IN_UNIVERSAL_GROUPS								= $C00002E6
#STATUS_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED							= $C00002E7
#STATUS_MULTIPLE_FAULT_VIOLATION										= $C00002E8
#STATUS_CURRENT_DOMAIN_NOT_ALLOWED									= $C00002E9
#STATUS_CANNOT_MAKE													= $C00002EA
#STATUS_SYSTEM_SHUTDOWN												= $C00002EB
#STATUS_DS_INIT_FAILURE_CONSOLE										= $C00002EC
#STATUS_DS_SAM_INIT_FAILURE_CONSOLE									= $C00002ED
#STATUS_UNFINISHED_CONTEXT_DELETED									= $C00002EE
#STATUS_NO_TGT_REPLY													= $C00002EF
#STATUS_OBJECTID_NOT_FOUND											= $C00002F0
#STATUS_NO_IP_ADDRESSES												= $C00002F1
#STATUS_WRONG_CREDENTIAL_HANDLE										= $C00002F2
#STATUS_CRYPTO_SYSTEM_INVALID										= $C00002F3
#STATUS_MAX_REFERRALS_EXCEEDED										= $C00002F4
#STATUS_MUST_BE_KDC													= $C00002F5
#STATUS_STRONG_CRYPTO_NOT_SUPPORTED									= $C00002F6
#STATUS_TOO_MANY_PRINCIPALS											= $C00002F7
#STATUS_NO_PA_DATA													= $C00002F8
#STATUS_PKINIT_NAME_MISMATCH											= $C00002F9
#STATUS_SMARTCARD_LOGON_REQUIRED										= $C00002FA
#STATUS_KDC_INVALID_REQUEST											= $C00002FB
#STATUS_KDC_UNABLE_TO_REFER											= $C00002FC
#STATUS_KDC_UNKNOWN_ETYPE											= $C00002FD
#STATUS_SHUTDOWN_IN_PROGRESS											= $C00002FE
#STATUS_SERVER_SHUTDOWN_IN_PROGRESS									= $C00002FF
#STATUS_NOT_SUPPORTED_ON_SBS											= $C0000300
#STATUS_WMI_GUID_DISCONNECTED										= $C0000301
#STATUS_WMI_ALREADY_DISABLED											= $C0000302
#STATUS_WMI_ALREADY_ENABLED											= $C0000303
#STATUS_MFT_TOO_FRAGMENTED											= $C0000304
#STATUS_COPY_PROTECTION_FAILURE										= $C0000305
#STATUS_CSS_AUTHENTICATION_FAILURE									= $C0000306
#STATUS_CSS_KEY_NOT_PRESENT											= $C0000307
#STATUS_CSS_KEY_NOT_ESTABLISHED										= $C0000308
#STATUS_CSS_SCRAMBLED_SECTOR											= $C0000309
#STATUS_CSS_REGION_MISMATCH											= $C000030A
#STATUS_CSS_RESETS_EXHAUSTED											= $C000030B
#STATUS_PKINIT_FAILURE												= $C0000320
#STATUS_SMARTCARD_SUBSYSTEM_FAILURE									= $C0000321
#STATUS_NO_KERB_KEY													= $C0000322
#STATUS_HOST_DOWN													= $C0000350
#STATUS_UNSUPPORTED_PREAUTH											= $C0000351
#STATUS_EFS_ALG_BLOB_TOO_BIG											= $C0000352
#STATUS_PORT_NOT_SET													= $C0000353
#STATUS_DEBUGGER_INACTIVE											= $C0000354
#STATUS_DS_VERSION_CHECK_FAILURE										= $C0000355
#STATUS_AUDITING_DISABLED											= $C0000356
#STATUS_PRENT4_MACHINE_ACCOUNT										= $C0000357
#STATUS_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER								= $C0000358
#STATUS_INVALID_IMAGE_WIN_32											= $C0000359
#STATUS_INVALID_IMAGE_WIN_64											= $C000035A
#STATUS_BAD_BINDINGS													= $C000035B
#STATUS_NETWORK_SESSION_EXPIRED										= $C000035C
#STATUS_APPHELP_BLOCK												= $C000035D
#STATUS_ALL_SIDS_FILTERED											= $C000035E
#STATUS_NOT_SAFE_MODE_DRIVER											= $C000035F
#STATUS_ACCESS_DISABLED_BY_POLICY_DEFAULT							= $C0000361
#STATUS_ACCESS_DISABLED_BY_POLICY_PATH								= $C0000362
#STATUS_ACCESS_DISABLED_BY_POLICY_PUBLISHER							= $C0000363
#STATUS_ACCESS_DISABLED_BY_POLICY_OTHER								= $C0000364
#STATUS_FAILED_DRIVER_ENTRY											= $C0000365
#STATUS_DEVICE_ENUMERATION_ERROR										= $C0000366
#STATUS_WAIT_FOR_OPLOCK												= $00000367
#STATUS_MOUNT_POINT_NOT_RESOLVED										= $C0000368
#STATUS_INVALID_DEVICE_OBJECT_PARAMETER								= $C0000369
#STATUS_MCA_OCCURED													= $C000036A
#STATUS_DRIVER_BLOCKED_CRITICAL										= $C000036B
#STATUS_DRIVER_BLOCKED												= $C000036C
#STATUS_DRIVER_DATABASE_ERROR										= $C000036D
#STATUS_SYSTEM_HIVE_TOO_LARGE										= $C000036E
#STATUS_INVALID_IMPORT_OF_NON_DLL									= $C000036F
#STATUS_DS_SHUTTING_DOWN												= $40000370
#STATUS_NO_SECRETS													= $C0000371
#STATUS_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY						= $C0000372
#STATUS_FAILED_STACK_SWITCH											= $C0000373
#STATUS_HEAP_CORRUPTION												= $C0000374
#STATUS_SMARTCARD_WRONG_PIN											= $C0000380
#STATUS_SMARTCARD_CARD_BLOCKED										= $C0000381
#STATUS_SMARTCARD_CARD_NOT_AUTHENTICATED								= $C0000382
#STATUS_SMARTCARD_NO_CARD											= $C0000383
#STATUS_SMARTCARD_NO_KEY_CONTAINER									= $C0000384
#STATUS_SMARTCARD_NO_CERTIFICATE										= $C0000385
#STATUS_SMARTCARD_NO_KEYSET											= $C0000386
#STATUS_SMARTCARD_IO_ERROR											= $C0000387
#STATUS_DOWNGRADE_DETECTED											= $C0000388
#STATUS_SMARTCARD_CERT_REVOKED										= $C0000389
#STATUS_ISSUING_CA_UNTRUSTED											= $C000038A
#STATUS_REVOCATION_OFFLINE_C											= $C000038B
#STATUS_PKINIT_CLIENT_FAILURE										= $C000038C
#STATUS_SMARTCARD_CERT_EXPIRED										= $C000038D
#STATUS_DRIVER_FAILED_PRIOR_UNLOAD									= $C000038E
#STATUS_SMARTCARD_SILENT_CONTEXT										= $C000038F
#STATUS_PER_USER_TRUST_QUOTA_EXCEEDED								= $C0000401
#STATUS_ALL_USER_TRUST_QUOTA_EXCEEDED								= $C0000402
#STATUS_USER_DELETE_TRUST_QUOTA_EXCEEDED								= $C0000403
#STATUS_DS_NAME_NOT_UNIQUE											= $C0000404
#STATUS_DS_DUPLICATE_ID_FOUND										= $C0000405
#STATUS_DS_GROUP_CONVERSION_ERROR									= $C0000406
#STATUS_VOLSNAP_PREPARE_HIBERNATE									= $C0000407
#STATUS_USER2USER_REQUIRED											= $C0000408
#STATUS_STACK_BUFFER_OVERRUN											= $C0000409
#STATUS_NO_S4U_PROT_SUPPORT											= $C000040A
#STATUS_CROSSREALM_DELEGATION_FAILURE								= $C000040B
#STATUS_REVOCATION_OFFLINE_KDC										= $C000040C
#STATUS_ISSUING_CA_UNTRUSTED_KDC										= $C000040D
#STATUS_KDC_CERT_EXPIRED												= $C000040E
#STATUS_KDC_CERT_REVOKED												= $C000040F
#STATUS_PARAMETER_QUOTA_EXCEEDED										= $C0000410
#STATUS_HIBERNATION_FAILURE											= $C0000411
#STATUS_DELAY_LOAD_FAILED											= $C0000412
#STATUS_AUTHENTICATION_FIREWALL_FAILED								= $C0000413
#STATUS_VDM_DISALLOWED												= $C0000414
#STATUS_HUNG_DISPLAY_DRIVER_THREAD									= $C0000415
#STATUS_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE		= $C0000416
#STATUS_NTLM_BLOCKED													= $C0000418
#STATUS_ASSERTION_FAILURE											= $C0000420
#STATUS_VERIFIER_STOP												= $C0000421
#STATUS_CALLBACK_POP_STACK											= $C0000423
#STATUS_INCOMPATIBLE_DRIVER_BLOCKED									= $C0000424
#STATUS_HIVE_UNLOADED												= $C0000425
#STATUS_COMPRESSION_DISABLED											= $C0000426
#STATUS_FILE_SYSTEM_LIMITATION										= $C0000427
#STATUS_INVALID_IMAGE_HASH											= $C0000428
#STATUS_NOT_CAPABLE													= $C0000429
#STATUS_REQUEST_OUT_OF_SEQUENCE										= $C000042A
#STATUS_IMPLEMENTATION_LIMIT											= $C000042B
#STATUS_ELEVATION_REQUIRED											= $C000042C
#STATUS_BEYOND_VDL													= $C0000432
#STATUS_ENCOUNTERED_WRITE_IN_PROGRESS								= $C0000433
#STATUS_PTE_CHANGED													= $C0000434
#STATUS_PURGE_FAILED													= $C0000435
#STATUS_CRED_REQUIRES_CONFIRMATION									= $C0000440
#STATUS_CS_ENCRYPTION_INVALID_SERVER_RESPONSE						= $C0000441
#STATUS_CS_ENCRYPTION_UNSUPPORTED_SERVER								= $C0000442
#STATUS_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE						= $C0000443
#STATUS_CS_ENCRYPTION_NEW_ENCRYPTED_FILE								= $C0000444
#STATUS_CS_ENCRYPTION_FILE_NOT_CSE									= $C0000445
#STATUS_INVALID_LABEL												= $C0000446
#STATUS_DRIVER_PROCESS_TERMINATED									= $C0000450
#STATUS_AMBIGUOUS_SYSTEM_DEVICE										= $C0000451
#STATUS_SYSTEM_DEVICE_NOT_FOUND										= $C0000452
#STATUS_RESTART_BOOT_APPLICATION										= $C0000453
#STATUS_INVALID_TASK_NAME											= $C0000500
#STATUS_INVALID_TASK_INDEX											= $C0000501
#STATUS_THREAD_ALREADY_IN_TASK										= $C0000502
#STATUS_CALLBACK_BYPASS												= $C0000503
#STATUS_PORT_CLOSED													= $C0000700
#STATUS_MESSAGE_LOST													= $C0000701
#STATUS_INVALID_MESSAGE												= $C0000702
#STATUS_REQUEST_CANCELED												= $C0000703
#STATUS_RECURSIVE_DISPATCH											= $C0000704
#STATUS_LPC_RECEIVE_BUFFER_EXPECTED									= $C0000705
#STATUS_LPC_INVALID_CONNECTION_USAGE									= $C0000706
#STATUS_LPC_REQUESTS_NOT_ALLOWED										= $C0000707
#STATUS_RESOURCE_IN_USE												= $C0000708
#STATUS_HARDWARE_MEMORY_ERROR										= $C0000709
#STATUS_THREADPOOL_HANDLE_EXCEPTION									= $C000070A
#STATUS_THREADPOOL_SET_EVENT_ON_COMPLETION_FAILED					= $C000070B
#STATUS_THREADPOOL_RELEASE_SEMAPHORE_ON_COMPLETION_FAILED			= $C000070C
#STATUS_THREADPOOL_RELEASE_MUTEX_ON_COMPLETION_FAILED				= $C000070D
#STATUS_THREADPOOL_FREE_LIBRARY_ON_COMPLETION_FAILED					= $C000070E
#STATUS_THREADPOOL_RELEASED_DURING_OPERATION							= $C000070F
#STATUS_CALLBACK_RETURNED_WHILE_IMPERSONATING						= $C0000710
#STATUS_APC_RETURNED_WHILE_IMPERSONATING								= $C0000711
#STATUS_PROCESS_IS_PROTECTED											= $C0000712
#STATUS_MCA_EXCEPTION												= $C0000713
#STATUS_CERTIFICATE_MAPPING_NOT_UNIQUE								= $C0000714
#STATUS_SYMLINK_CLASS_DISABLED										= $C0000715
#STATUS_INVALID_IDN_NORMALIZATION									= $C0000716
#STATUS_NO_UNICODE_TRANSLATION										= $C0000717
#STATUS_ALREADY_REGISTERED											= $C0000718
#STATUS_CONTEXT_MISMATCH												= $C0000719
#STATUS_PORT_ALREADY_HAS_COMPLETION_LIST								= $C000071A
#STATUS_CALLBACK_RETURNED_THREAD_PRIORITY							= $C000071B
#STATUS_INVALID_THREAD												= $C000071C
#STATUS_CALLBACK_RETURNED_TRANSACTION								= $C000071D
#STATUS_CALLBACK_RETURNED_LDR_LOCK									= $C000071E
#STATUS_CALLBACK_RETURNED_LANG										= $C000071F
#STATUS_CALLBACK_RETURNED_PRI_BACK									= $C0000720
#STATUS_CALLBACK_RETURNED_THREAD_AFFINITY							= $C0000721
#STATUS_DISK_REPAIR_DISABLED											= $C0000800
#STATUS_DS_DOMAIN_RENAME_IN_PROGRESS									= $C0000801
#STATUS_DISK_QUOTA_EXCEEDED											= $C0000802
#STATUS_DATA_LOST_REPAIR												= $80000803
#STATUS_CONTENT_BLOCKED												= $C0000804
#STATUS_BAD_CLUSTERS													= $C0000805
#STATUS_VOLUME_DIRTY													= $C0000806
#STATUS_FILE_CHECKED_OUT												= $C0000901
#STATUS_CHECKOUT_REQUIRED											= $C0000902
#STATUS_BAD_FILE_TYPE												= $C0000903
#STATUS_FILE_TOO_LARGE												= $C0000904
#STATUS_FORMS_AUTH_REQUIRED											= $C0000905
#STATUS_VIRUS_INFECTED												= $C0000906
#STATUS_VIRUS_DELETED												= $C0000907
#STATUS_BAD_MCFG_TABLE												= $C0000908
#STATUS_WOW_ASSERTION												= $C0009898
#STATUS_INVALID_SIGNATURE											= $C000A000
#STATUS_HMAC_NOT_SUPPORTED											= $C000A001
#STATUS_AUTH_TAG_MISMATCH											= $C000A002
#STATUS_IPSEC_QUEUE_OVERFLOW											= $C000A010
#STATUS_ND_QUEUE_OVERFLOW											= $C000A011
#STATUS_HOPLIMIT_EXCEEDED											= $C000A012
#STATUS_PROTOCOL_NOT_SUPPORTED										= $C000A013
#STATUS_FASTPATH_REJECTED											= $C000A014
#STATUS_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED					= $C000A080
#STATUS_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR					= $C000A081
#STATUS_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR						= $C000A082
#STATUS_XML_PARSE_ERROR												= $C000A083
#STATUS_XMLDSIG_ERROR												= $C000A084
#STATUS_WRONG_COMPARTMENT											= $C000A085
#STATUS_AUTHIP_FAILURE												= $C000A086
#DBG_NO_STATE_CHANGE													= $C0010001
#DBG_APP_NOT_IDLE													= $C0010002
#RPC_NT_INVALID_STRING_BINDING										= $C0020001
#RPC_NT_WRONG_KIND_OF_BINDING										= $C0020002
#RPC_NT_INVALID_BINDING												= $C0020003
#RPC_NT_PROTSEQ_NOT_SUPPORTED										= $C0020004
#RPC_NT_INVALID_RPC_PROTSEQ											= $C0020005
#RPC_NT_INVALID_STRING_UUID											= $C0020006
#RPC_NT_INVALID_ENDPOINT_FORMAT										= $C0020007
#RPC_NT_INVALID_NET_ADDR												= $C0020008
#RPC_NT_NO_ENDPOINT_FOUND											= $C0020009
#RPC_NT_INVALID_TIMEOUT												= $C002000A
#RPC_NT_OBJECT_NOT_FOUND												= $C002000B
#RPC_NT_ALREADY_REGISTERED											= $C002000C
#RPC_NT_TYPE_ALREADY_REGISTERED										= $C002000D
#RPC_NT_ALREADY_LISTENING											= $C002000E
#RPC_NT_NO_PROTSEQS_REGISTERED										= $C002000F
#RPC_NT_NOT_LISTENING												= $C0020010
#RPC_NT_UNKNOWN_MGR_TYPE												= $C0020011
#RPC_NT_UNKNOWN_IF													= $C0020012
#RPC_NT_NO_BINDINGS													= $C0020013
#RPC_NT_NO_PROTSEQS													= $C0020014
#RPC_NT_CANT_CREATE_ENDPOINT											= $C0020015
#RPC_NT_OUT_OF_RESOURCES												= $C0020016
#RPC_NT_SERVER_UNAVAILABLE											= $C0020017
#RPC_NT_SERVER_TOO_BUSY												= $C0020018
#RPC_NT_INVALID_NETWORK_OPTIONS										= $C0020019
#RPC_NT_NO_CALL_ACTIVE												= $C002001A
#RPC_NT_CALL_FAILED													= $C002001B
#RPC_NT_CALL_FAILED_DNE												= $C002001C
#RPC_NT_PROTOCOL_ERROR												= $C002001D
#RPC_NT_UNSUPPORTED_TRANS_SYN										= $C002001F
#RPC_NT_UNSUPPORTED_TYPE												= $C0020021
#RPC_NT_INVALID_TAG													= $C0020022
#RPC_NT_INVALID_BOUND												= $C0020023
#RPC_NT_NO_ENTRY_NAME												= $C0020024
#RPC_NT_INVALID_NAME_SYNTAX											= $C0020025
#RPC_NT_UNSUPPORTED_NAME_SYNTAX										= $C0020026
#RPC_NT_UUID_NO_ADDRESS												= $C0020028
#RPC_NT_DUPLICATE_ENDPOINT											= $C0020029
#RPC_NT_UNKNOWN_AUTHN_TYPE											= $C002002A
#RPC_NT_MAX_CALLS_TOO_SMALL											= $C002002B
#RPC_NT_STRING_TOO_LONG												= $C002002C
#RPC_NT_PROTSEQ_NOT_FOUND											= $C002002D
#RPC_NT_PROCNUM_OUT_OF_RANGE											= $C002002E
#RPC_NT_BINDING_HAS_NO_AUTH											= $C002002F
#RPC_NT_UNKNOWN_AUTHN_SERVICE										= $C0020030
#RPC_NT_UNKNOWN_AUTHN_LEVEL											= $C0020031
#RPC_NT_INVALID_AUTH_IDENTITY										= $C0020032
#RPC_NT_UNKNOWN_AUTHZ_SERVICE										= $C0020033
#EPT_NT_INVALID_ENTRY												= $C0020034
#EPT_NT_CANT_PERFORM_OP												= $C0020035
#EPT_NT_NOT_REGISTERED												= $C0020036
#RPC_NT_NOTHING_TO_EXPORT											= $C0020037
#RPC_NT_INCOMPLETE_NAME												= $C0020038
#RPC_NT_INVALID_VERS_OPTION											= $C0020039
#RPC_NT_NO_MORE_MEMBERS												= $C002003A
#RPC_NT_NOT_ALL_OBJS_UNEXPORTED										= $C002003B
#RPC_NT_INTERFACE_NOT_FOUND											= $C002003C
#RPC_NT_ENTRY_ALREADY_EXISTS											= $C002003D
#RPC_NT_ENTRY_NOT_FOUND												= $C002003E
#RPC_NT_NAME_SERVICE_UNAVAILABLE										= $C002003F
#RPC_NT_INVALID_NAF_ID												= $C0020040
#RPC_NT_CANNOT_SUPPORT												= $C0020041
#RPC_NT_NO_CONTEXT_AVAILABLE											= $C0020042
#RPC_NT_INTERNAL_ERROR												= $C0020043
#RPC_NT_ZERO_DIVIDE													= $C0020044
#RPC_NT_ADDRESS_ERROR												= $C0020045
#RPC_NT_FP_DIV_ZERO													= $C0020046
#RPC_NT_FP_UNDERFLOW													= $C0020047
#RPC_NT_FP_OVERFLOW													= $C0020048
#RPC_NT_NO_MORE_ENTRIES												= $C0030001
#RPC_NT_SS_CHAR_TRANS_OPEN_FAIL										= $C0030002
#RPC_NT_SS_CHAR_TRANS_SHORT_FILE										= $C0030003
#RPC_NT_SS_IN_NULL_CONTEXT											= $C0030004
#RPC_NT_SS_CONTEXT_MISMATCH											= $C0030005
#RPC_NT_SS_CONTEXT_DAMAGED											= $C0030006
#RPC_NT_SS_HANDLES_MISMATCH											= $C0030007
#RPC_NT_SS_CANNOT_GET_CALL_HANDLE									= $C0030008
#RPC_NT_NULL_REF_POINTER												= $C0030009
#RPC_NT_ENUM_VALUE_OUT_OF_RANGE										= $C003000A
#RPC_NT_BYTE_COUNT_TOO_SMALL											= $C003000B
#RPC_NT_BAD_STUB_DATA												= $C003000C
#RPC_NT_CALL_IN_PROGRESS												= $C0020049
#RPC_NT_NO_MORE_BINDINGS												= $C002004A
#RPC_NT_GROUP_MEMBER_NOT_FOUND										= $C002004B
#EPT_NT_CANT_CREATE													= $C002004C
#RPC_NT_INVALID_OBJECT												= $C002004D
#RPC_NT_NO_INTERFACES												= $C002004F
#RPC_NT_CALL_CANCELLED												= $C0020050
#RPC_NT_BINDING_INCOMPLETE											= $C0020051
#RPC_NT_COMM_FAILURE													= $C0020052
#RPC_NT_UNSUPPORTED_AUTHN_LEVEL										= $C0020053
#RPC_NT_NO_PRINC_NAME												= $C0020054
#RPC_NT_NOT_RPC_ERROR												= $C0020055
#RPC_NT_UUID_LOCAL_ONLY												= $40020056
#RPC_NT_SEC_PKG_ERROR												= $C0020057
#RPC_NT_NOT_CANCELLED												= $C0020058
#RPC_NT_INVALID_ES_ACTION											= $C0030059
#RPC_NT_WRONG_ES_VERSION												= $C003005A
#RPC_NT_WRONG_STUB_VERSION											= $C003005B
#RPC_NT_INVALID_PIPE_OBJECT											= $C003005C
#RPC_NT_INVALID_PIPE_OPERATION										= $C003005D
#RPC_NT_WRONG_PIPE_VERSION											= $C003005E
#RPC_NT_PIPE_CLOSED													= $C003005F
#RPC_NT_PIPE_DISCIPLINE_ERROR										= $C0030060
#RPC_NT_PIPE_EMPTY													= $C0030061
#RPC_NT_INVALID_ASYNC_HANDLE											= $C0020062
#RPC_NT_INVALID_ASYNC_CALL											= $C0020063
#RPC_NT_PROXY_ACCESS_DENIED											= $C0020064
#RPC_NT_COOKIE_AUTH_FAILED											= $C0020065
#RPC_NT_SEND_INCOMPLETE												= $400200AF
#STATUS_ACPI_INVALID_OPCODE											= $C0140001
#STATUS_ACPI_STACK_OVERFLOW											= $C0140002
#STATUS_ACPI_ASSERT_FAILED											= $C0140003
#STATUS_ACPI_INVALID_INDEX											= $C0140004
#STATUS_ACPI_INVALID_ARGUMENT										= $C0140005
#STATUS_ACPI_FATAL													= $C0140006
#STATUS_ACPI_INVALID_SUPERNAME										= $C0140007
#STATUS_ACPI_INVALID_ARGTYPE											= $C0140008
#STATUS_ACPI_INVALID_OBJTYPE											= $C0140009
#STATUS_ACPI_INVALID_TARGETTYPE										= $C014000A
#STATUS_ACPI_INCORRECT_ARGUMENT_COUNT								= $C014000B
#STATUS_ACPI_ADDRESS_NOT_MAPPED										= $C014000C
#STATUS_ACPI_INVALID_EVENTTYPE										= $C014000D
#STATUS_ACPI_HANDLER_COLLISION										= $C014000E
#STATUS_ACPI_INVALID_DATA											= $C014000F
#STATUS_ACPI_INVALID_REGION											= $C0140010
#STATUS_ACPI_INVALID_ACCESS_SIZE										= $C0140011
#STATUS_ACPI_ACQUIRE_GLOBAL_LOCK										= $C0140012
#STATUS_ACPI_ALREADY_INITIALIZED										= $C0140013
#STATUS_ACPI_NOT_INITIALIZED											= $C0140014
#STATUS_ACPI_INVALID_MUTEX_LEVEL										= $C0140015
#STATUS_ACPI_MUTEX_NOT_OWNED											= $C0140016
#STATUS_ACPI_MUTEX_NOT_OWNER											= $C0140017
#STATUS_ACPI_RS_ACCESS												= $C0140018
#STATUS_ACPI_INVALID_TABLE											= $C0140019
#STATUS_ACPI_REG_HANDLER_FAILED										= $C0140020
#STATUS_ACPI_POWER_REQUEST_FAILED									= $C0140021
#STATUS_CTX_WINSTATION_NAME_INVALID									= $C00A0001
#STATUS_CTX_INVALID_PD												= $C00A0002
#STATUS_CTX_PD_NOT_FOUND												= $C00A0003
#STATUS_CTX_CDM_CONNECT												= $400A0004
#STATUS_CTX_CDM_DISCONNECT											= $400A0005
#STATUS_CTX_CLOSE_PENDING											= $C00A0006
#STATUS_CTX_NO_OUTBUF												= $C00A0007
#STATUS_CTX_MODEM_INF_NOT_FOUND										= $C00A0008
#STATUS_CTX_INVALID_MODEMNAME										= $C00A0009
#STATUS_CTX_RESPONSE_ERROR											= $C00A000A
#STATUS_CTX_MODEM_RESPONSE_TIMEOUT									= $C00A000B
#STATUS_CTX_MODEM_RESPONSE_NO_CARRIER								= $C00A000C
#STATUS_CTX_MODEM_RESPONSE_NO_DIALTONE								= $C00A000D
#STATUS_CTX_MODEM_RESPONSE_BUSY										= $C00A000E
#STATUS_CTX_MODEM_RESPONSE_VOICE										= $C00A000F
#STATUS_CTX_TD_ERROR													= $C00A0010
#STATUS_CTX_LICENSE_CLIENT_INVALID									= $C00A0012
#STATUS_CTX_LICENSE_NOT_AVAILABLE									= $C00A0013
#STATUS_CTX_LICENSE_EXPIRED											= $C00A0014
#STATUS_CTX_WINSTATION_NOT_FOUND										= $C00A0015
#STATUS_CTX_WINSTATION_NAME_COLLISION								= $C00A0016
#STATUS_CTX_WINSTATION_BUSY											= $C00A0017
#STATUS_CTX_BAD_VIDEO_MODE											= $C00A0018
#STATUS_CTX_GRAPHICS_INVALID											= $C00A0022
#STATUS_CTX_NOT_CONSOLE												= $C00A0024
#STATUS_CTX_CLIENT_QUERY_TIMEOUT										= $C00A0026
#STATUS_CTX_CONSOLE_DISCONNECT										= $C00A0027
#STATUS_CTX_CONSOLE_CONNECT											= $C00A0028
#STATUS_CTX_SHADOW_DENIED											= $C00A002A
#STATUS_CTX_WINSTATION_ACCESS_DENIED									= $C00A002B
#STATUS_CTX_INVALID_WD												= $C00A002E
#STATUS_CTX_WD_NOT_FOUND												= $C00A002F
#STATUS_CTX_SHADOW_INVALID											= $C00A0030
#STATUS_CTX_SHADOW_DISABLED											= $C00A0031
#STATUS_RDP_PROTOCOL_ERROR											= $C00A0032
#STATUS_CTX_CLIENT_LICENSE_NOT_SET									= $C00A0033
#STATUS_CTX_CLIENT_LICENSE_IN_USE									= $C00A0034
#STATUS_CTX_SHADOW_ENDED_BY_MODE_CHANGE								= $C00A0035
#STATUS_CTX_SHADOW_NOT_RUNNING										= $C00A0036
#STATUS_CTX_LOGON_DISABLED											= $C00A0037
#STATUS_CTX_SECURITY_LAYER_ERROR										= $C00A0038
#STATUS_TS_INCOMPATIBLE_SESSIONS										= $C00A0039

;IO error values

#STATUS_PNP_BAD_MPS_TABLE											= $C0040035
#STATUS_PNP_TRANSLATION_FAILED										= $C0040036
#STATUS_PNP_IRQ_TRANSLATION_FAILED									= $C0040037
#STATUS_PNP_INVALID_ID												= $C0040038
#STATUS_IO_REISSUE_AS_CACHED											= $C0040039

;  MUI error values

#STATUS_MUI_FILE_NOT_FOUND											= $C00B0001
#STATUS_MUI_INVALID_FILE												= $C00B0002
#STATUS_MUI_INVALID_RC_CONFIG										= $C00B0003
#STATUS_MUI_INVALID_LOCALE_NAME										= $C00B0004
#STATUS_MUI_INVALID_ULTIMATEFALLBACK_NAME							= $C00B0005
#STATUS_MUI_FILE_NOT_LOADED											= $C00B0006
#STATUS_RESOURCE_ENUM_USER_STOP										= $C00B0007

;  Filter Manager error values

#STATUS_FLT_NO_HANDLER_DEFINED										= $C01C0001
#STATUS_FLT_CONTEXT_ALREADY_DEFINED									= $C01C0002
#STATUS_FLT_INVALID_ASYNCHRONOUS_REQUEST								= $C01C0003
#STATUS_FLT_DISALLOW_FAST_IO											= $C01C0004
#STATUS_FLT_INVALID_NAME_REQUEST										= $C01C0005
#STATUS_FLT_NOT_SAFE_TO_POST_OPERATION								= $C01C0006
#STATUS_FLT_NOT_INITIALIZED											= $C01C0007
#STATUS_FLT_FILTER_NOT_READY											= $C01C0008
#STATUS_FLT_POST_OPERATION_CLEANUP									= $C01C0009
#STATUS_FLT_INTERNAL_ERROR											= $C01C000A
#STATUS_FLT_DELETING_OBJECT											= $C01C000B
#STATUS_FLT_MUST_BE_NONPAGED_POOL									= $C01C000C
#STATUS_FLT_DUPLICATE_ENTRY											= $C01C000D
#STATUS_FLT_CBDQ_DISABLED											= $C01C000E
#STATUS_FLT_DO_NOT_ATTACH											= $C01C000F
#STATUS_FLT_DO_NOT_DETACH											= $C01C0010
#STATUS_FLT_INSTANCE_ALTITUDE_COLLISION								= $C01C0011
#STATUS_FLT_INSTANCE_NAME_COLLISION									= $C01C0012
#STATUS_FLT_FILTER_NOT_FOUND											= $C01C0013
#STATUS_FLT_VOLUME_NOT_FOUND											= $C01C0014
#STATUS_FLT_INSTANCE_NOT_FOUND										= $C01C0015
#STATUS_FLT_CONTEXT_ALLOCATION_NOT_FOUND								= $C01C0016
#STATUS_FLT_INVALID_CONTEXT_REGISTRATION								= $C01C0017
#STATUS_FLT_NAME_CACHE_MISS											= $C01C0018
#STATUS_FLT_NO_DEVICE_OBJECT											= $C01C0019
#STATUS_FLT_VOLUME_ALREADY_MOUNTED									= $C01C001A
#STATUS_FLT_ALREADY_ENLISTED											= $C01C001B
#STATUS_FLT_CONTEXT_ALREADY_LINKED									= $C01C001C
#STATUS_FLT_NO_WAITER_FOR_REPLY										= $C01C0020

;Side-by-side (SXS) error values

#STATUS_SXS_SECTION_NOT_FOUND										= $C0150001
#STATUS_SXS_CANT_GEN_ACTCTX											= $C0150002
#STATUS_SXS_INVALID_ACTCTXDATA_FORMAT								= $C0150003
#STATUS_SXS_ASSEMBLY_NOT_FOUND										= $C0150004
#STATUS_SXS_MANIFEST_FORMAT_ERROR									= $C0150005
#STATUS_SXS_MANIFEST_PARSE_ERROR										= $C0150006
#STATUS_SXS_ACTIVATION_CONTEXT_DISABLED								= $C0150007
#STATUS_SXS_KEY_NOT_FOUND											= $C0150008
#STATUS_SXS_VERSION_CONFLICT											= $C0150009
#STATUS_SXS_WRONG_SECTION_TYPE										= $C015000A
#STATUS_SXS_THREAD_QUERIES_DISABLED									= $C015000B
#STATUS_SXS_ASSEMBLY_MISSING											= $C015000C
#STATUS_SXS_RELEASE_ACTIVATION_CONTEXT								= $4015000D
#STATUS_SXS_PROCESS_DEFAULT_ALREADY_SET								= $C015000E
#STATUS_SXS_MULTIPLE_DEACTIVATION									= $C0150011
#STATUS_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY					= $C0150012
#STATUS_SXS_PROCESS_TERMINATION_REQUESTED							= $C0150013
#STATUS_SXS_CORRUPT_ACTIVATION_STACK									= $C0150014
#STATUS_SXS_CORRUPTION												= $C0150015
#STATUS_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE							= $C0150016
#STATUS_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME							= $C0150017
#STATUS_SXS_IDENTITY_DUPLICATE_ATTRIBUTE								= $C0150018
#STATUS_SXS_IDENTITY_PARSE_ERROR										= $C0150019
#STATUS_SXS_COMPONENT_STORE_CORRUPT									= $C015001A
#STATUS_SXS_FILE_HASH_MISMATCH										= $C015001B
#STATUS_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT			= $C015001C
#STATUS_SXS_IDENTITIES_DIFFERENT										= $C015001D
#STATUS_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT								= $C015001E
#STATUS_SXS_FILE_NOT_PART_OF_ASSEMBLY								= $C015001F
#STATUS_ADVANCED_INSTALLER_FAILED									= $C0150020
#STATUS_XML_ENCODING_MISMATCH										= $C0150021
#STATUS_SXS_MANIFEST_TOO_BIG											= $C0150022
#STATUS_SXS_SETTING_NOT_REGISTERED									= $C0150023
#STATUS_SXS_TRANSACTION_CLOSURE_INCOMPLETE							= $C0150024
#STATUS_SMI_PRIMITIVE_INSTALLER_FAILED								= $C0150025
#STATUS_GENERIC_COMMAND_FAILED										= $C0150026
#STATUS_SXS_FILE_HASH_MISSING										= $C0150027

;Cluster error values

#STATUS_CLUSTER_INVALID_NODE											= $C0130001
#STATUS_CLUSTER_NODE_EXISTS											= $C0130002
#STATUS_CLUSTER_JOIN_IN_PROGRESS										= $C0130003
#STATUS_CLUSTER_NODE_NOT_FOUND										= $C0130004
#STATUS_CLUSTER_LOCAL_NODE_NOT_FOUND									= $C0130005
#STATUS_CLUSTER_NETWORK_EXISTS										= $C0130006
#STATUS_CLUSTER_NETWORK_NOT_FOUND									= $C0130007
#STATUS_CLUSTER_NETINTERFACE_EXISTS									= $C0130008
#STATUS_CLUSTER_NETINTERFACE_NOT_FOUND								= $C0130009
#STATUS_CLUSTER_INVALID_REQUEST										= $C013000A
#STATUS_CLUSTER_INVALID_NETWORK_PROVIDER								= $C013000B
#STATUS_CLUSTER_NODE_DOWN											= $C013000C
#STATUS_CLUSTER_NODE_UNREACHABLE										= $C013000D
#STATUS_CLUSTER_NODE_NOT_MEMBER										= $C013000E
#STATUS_CLUSTER_JOIN_NOT_IN_PROGRESS									= $C013000F
#STATUS_CLUSTER_INVALID_NETWORK										= $C0130010
#STATUS_CLUSTER_NO_NET_ADAPTERS										= $C0130011
#STATUS_CLUSTER_NODE_UP												= $C0130012
#STATUS_CLUSTER_NODE_PAUSED											= $C0130013
#STATUS_CLUSTER_NODE_NOT_PAUSED										= $C0130014
#STATUS_CLUSTER_NO_SECURITY_CONTEXT									= $C0130015
#STATUS_CLUSTER_NETWORK_NOT_INTERNAL									= $C0130016
#STATUS_CLUSTER_POISONED												= $C0130017

;Transaction Manager error values

#STATUS_TRANSACTIONAL_CONFLICT										= $C0190001
#STATUS_INVALID_TRANSACTION											= $C0190002
#STATUS_TRANSACTION_NOT_ACTIVE										= $C0190003
#STATUS_TM_INITIALIZATION_FAILED										= $C0190004
#STATUS_RM_NOT_ACTIVE												= $C0190005
#STATUS_RM_METADATA_CORRUPT											= $C0190006
#STATUS_TRANSACTION_NOT_JOINED										= $C0190007
#STATUS_DIRECTORY_NOT_RM												= $C0190008
#STATUS_COULD_NOT_RESIZE_LOG											= $80190009
#STATUS_TRANSACTIONS_UNSUPPORTED_REMOTE								= $C019000A
#STATUS_LOG_RESIZE_INVALID_SIZE										= $C019000B
#STATUS_REMOTE_FILE_VERSION_MISMATCH									= $C019000C
#STATUS_CRM_PROTOCOL_ALREADY_EXISTS									= $C019000F
#STATUS_TRANSACTION_PROPAGATION_FAILED								= $C0190010
#STATUS_CRM_PROTOCOL_NOT_FOUND										= $C0190011
#STATUS_TRANSACTION_SUPERIOR_EXISTS									= $C0190012
#STATUS_TRANSACTION_REQUEST_NOT_VALID								= $C0190013
#STATUS_TRANSACTION_NOT_REQUESTED									= $C0190014
#STATUS_TRANSACTION_ALREADY_ABORTED									= $C0190015
#STATUS_TRANSACTION_ALREADY_COMMITTED								= $C0190016
#STATUS_TRANSACTION_INVALID_MARSHALL_BUFFER							= $C0190017
#STATUS_CURRENT_TRANSACTION_NOT_VALID								= $C0190018
#STATUS_LOG_GROWTH_FAILED											= $C0190019
#STATUS_OBJECT_NO_LONGER_EXISTS										= $C0190021
#STATUS_STREAM_MINIVERSION_NOT_FOUND									= $C0190022
#STATUS_STREAM_MINIVERSION_NOT_VALID									= $C0190023
#STATUS_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION			= $C0190024
#STATUS_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT						= $C0190025
#STATUS_CANT_CREATE_MORE_STREAM_MINIVERSIONS							= $C0190026
#STATUS_HANDLE_NO_LONGER_VALID										= $C0190028
#STATUS_NO_TXF_METADATA												= $80190029
#STATUS_LOG_CORRUPTION_DETECTED										= $C0190030
#STATUS_CANT_RECOVER_WITH_HANDLE_OPEN								= $80190031
#STATUS_RM_DISCONNECTED												= $C0190032
#STATUS_ENLISTMENT_NOT_SUPERIOR										= $C0190033
#STATUS_RECOVERY_NOT_NEEDED											= $40190034
#STATUS_RM_ALREADY_STARTED											= $40190035
#STATUS_FILE_IDENTITY_NOT_PERSISTENT									= $C0190036														
#STATUS_CANT_BREAK_TRANSACTIONAL_DEPENDENCY							= $C0190037
#STATUS_CANT_CROSS_RM_BOUNDARY										= $C0190038
#STATUS_TXF_DIR_NOT_EMPTY											= $C0190039
#STATUS_INDOUBT_TRANSACTIONS_EXIST									= $C019003A		
#STATUS_TM_VOLATILE													= $C019003B
#STATUS_ROLLBACK_TIMER_EXPIRED										= $C019003C
#STATUS_TXF_ATTRIBUTE_CORRUPT										= $C019003D
#STATUS_EFS_NOT_ALLOWED_IN_TRANSACTION								= $C019003E
#STATUS_TRANSACTIONAL_OPEN_NOT_ALLOWED								= $C019003F
#STATUS_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE						= $C0190040
#STATUS_TXF_METADATA_ALREADY_PRESENT									= $80190041
#STATUS_TRANSACTION_SCOPE_CALLBACKS_NOT_SET							= $80190042
#STATUS_TRANSACTION_REQUIRED_PROMOTION								= $C0190043
#STATUS_CANNOT_EXECUTE_FILE_IN_TRANSACTION							= $C0190044
#STATUS_TRANSACTIONS_NOT_FROZEN										= $C0190045
#STATUS_TRANSACTION_FREEZE_IN_PROGRESS								= $C0190046
#STATUS_NOT_SNAPSHOT_VOLUME											= $C0190047
#STATUS_NO_SAVEPOINT_WITH_OPEN_FILES									= $C0190048
#STATUS_SPARSE_NOT_ALLOWED_IN_TRANSACTION							= $C0190049
#STATUS_TM_IDENTITY_MISMATCH											= $C019004A
#STATUS_FLOATED_SECTION												= $C019004B
#STATUS_CANNOT_ACCEPT_TRANSACTED_WORK								= $C019004C
#STATUS_CANNOT_ABORT_TRANSACTIONS									= $C019004D
#STATUS_TRANSACTION_NOT_FOUND										= $C019004E
#STATUS_RESOURCEMANAGER_NOT_FOUND									= $C019004F
#STATUS_ENLISTMENT_NOT_FOUND											= $C0190050
#STATUS_TRANSACTIONMANAGER_NOT_FOUND									= $C0190051
#STATUS_TRANSACTIONMANAGER_NOT_ONLINE								= $C0190052
#STATUS_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION					= $C0190053
#STATUS_TRANSACTION_NOT_ROOT											= $C0190054
#STATUS_TRANSACTION_OBJECT_EXPIRED									= $C0190055	
#STATUS_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION						= $C0190056
#STATUS_TRANSACTION_RESPONSE_NOT_ENLISTED							= $C0190057
#STATUS_TRANSACTION_RECORD_TOO_LONG									= $C0190058
#STATUS_NO_LINK_TRACKING_IN_TRANSACTION								= $C0190059
#STATUS_OPERATION_NOT_SUPPORTED_IN_TRANSACTION						= $C019005A
#STATUS_TRANSACTION_INTEGRITY_VIOLATED								= $C019005B
#STATUS_TRANSACTIONMANAGER_IDENTITY_MISMATCH							= $C019005C
#STATUS_RM_CANNOT_BE_FROZEN_FOR_SNAPSHOT								= $C019005D
#STATUS_TRANSACTION_MUST_WRITETHROUGH								= $C019005E
#STATUS_TRANSACTION_NO_SUPERIOR										= $C019005F

;CLFS (common log file system) error values

#STATUS_LOG_SECTOR_INVALID											= $C01A0001
#STATUS_LOG_SECTOR_PARITY_INVALID									= $C01A0002
#STATUS_LOG_SECTOR_REMAPPED											= $C01A0003
#STATUS_LOG_BLOCK_INCOMPLETE											= $C01A0004
#STATUS_LOG_INVALID_RANGE											= $C01A0005
#STATUS_LOG_BLOCKS_EXHAUSTED											= $C01A0006
#STATUS_LOG_READ_CONTEXT_INVALID										= $C01A0007
#STATUS_LOG_RESTART_INVALID											= $C01A0008
#STATUS_LOG_BLOCK_VERSION											= $C01A0009
#STATUS_LOG_BLOCK_INVALID											= $C01A000A
#STATUS_LOG_READ_MODE_INVALID										= $C01A000B
#STATUS_LOG_NO_RESTART												= $401A000C
#STATUS_LOG_METADATA_CORRUPT											= $C01A000D
#STATUS_LOG_METADATA_INVALID											= $C01A000E
#STATUS_LOG_METADATA_INCONSISTENT									= $C01A000F
#STATUS_LOG_RESERVATION_INVALID										= $C01A0010
#STATUS_LOG_CANT_DELETE												= $C01A0011
#STATUS_LOG_CONTAINER_LIMIT_EXCEEDED									= $C01A0012
#STATUS_LOG_START_OF_LOG												= $C01A0013
#STATUS_LOG_POLICY_ALREADY_INSTALLED									= $C01A0014
#STATUS_LOG_POLICY_NOT_INSTALLED										= $C01A0015
#STATUS_LOG_POLICY_INVALID											= $C01A0016
#STATUS_LOG_POLICY_CONFLICT											= $C01A0017
#STATUS_LOG_PINNED_ARCHIVE_TAIL										= $C01A0018
#STATUS_LOG_RECORD_NONEXISTENT										= $C01A0019
#STATUS_LOG_RECORDS_RESERVED_INVALID									= $C01A001A
#STATUS_LOG_SPACE_RESERVED_INVALID									= $C01A001B
#STATUS_LOG_TAIL_INVALID												= $C01A001C
#STATUS_LOG_FULL														= $C01A001D
#STATUS_LOG_MULTIPLEXED												= $C01A001E
#STATUS_LOG_DEDICATED												= $C01A001F
#STATUS_LOG_ARCHIVE_NOT_IN_PROGRESS									= $C01A0020
#STATUS_LOG_ARCHIVE_IN_PROGRESS										= $C01A0021
#STATUS_LOG_EPHEMERAL												= $C01A0022
#STATUS_LOG_NOT_ENOUGH_CONTAINERS									= $C01A0023
#STATUS_LOG_CLIENT_ALREADY_REGISTERED								= $C01A0024
#STATUS_LOG_CLIENT_NOT_REGISTERED									= $C01A0025
#STATUS_LOG_FULL_HANDLER_IN_PROGRESS									= $C01A0026
#STATUS_LOG_CONTAINER_READ_FAILED									= $C01A0027
#STATUS_LOG_CONTAINER_WRITE_FAILED									= $C01A0028
#STATUS_LOG_CONTAINER_OPEN_FAILED									= $C01A0029
#STATUS_LOG_CONTAINER_STATE_INVALID									= $C01A002A
#STATUS_LOG_STATE_INVALID											= $C01A002B
#STATUS_LOG_PINNED													= $C01A002C
#STATUS_LOG_METADATA_FLUSH_FAILED									= $C01A002D
#STATUS_LOG_INCONSISTENT_SECURITY									= $C01A002E
#STATUS_LOG_APPENDED_FLUSH_FAILED									= $C01A002F
#STATUS_LOG_PINNED_RESERVATION										= $C01A0030

;XDDM Video Facility Error codes (videoprt.sys)

#STATUS_VIDEO_HUNG_DISPLAY_DRIVER_THREAD								= $C01B00EA
#STATUS_VIDEO_HUNG_DISPLAY_DRIVER_THREAD_RECOVERED					= $801B00EB
#STATUS_VIDEO_DRIVER_DEBUG_REPORT_REQUEST							= $401B00EC

;Monitor Facility Error codes (monitor.sys)

#STATUS_MONITOR_NO_DESCRIPTOR										= $C01D0001
#STATUS_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT							= $C01D0002
#STATUS_MONITOR_INVALID_DESCRIPTOR_CHECKSUM							= $C01D0003
#STATUS_MONITOR_INVALID_STANDARD_TIMING_BLOCK						= $C01D0004
#STATUS_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED					= $C01D0005
#STATUS_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK					= $C01D0006
#STATUS_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK					= $C01D0007
#STATUS_MONITOR_NO_MORE_DESCRIPTOR_DATA								= $C01D0008
#STATUS_MONITOR_INVALID_DETAILED_TIMING_BLOCK						= $C01D0009

;Graphics Facility Error codes (dxg.sys, dxgkrnl.sys)

#STATUS_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER							= $C01E0000
#STATUS_GRAPHICS_INSUFFICIENT_DMA_BUFFER								= $C01E0001
#STATUS_GRAPHICS_INVALID_DISPLAY_ADAPTER								= $C01E0002
#STATUS_GRAPHICS_ADAPTER_WAS_RESET									= $C01E0003
#STATUS_GRAPHICS_INVALID_DRIVER_MODEL								= $C01E0004
#STATUS_GRAPHICS_PRESENT_MODE_CHANGED								= $C01E0005
#STATUS_GRAPHICS_PRESENT_OCCLUDED									= $C01E0006
#STATUS_GRAPHICS_PRESENT_DENIED										= $C01E0007
#STATUS_GRAPHICS_CANNOTCOLORCONVERT									= $C01E0008
#STATUS_GRAPHICS_DRIVER_MISMATCH										= $C01E0009
#STATUS_GRAPHICS_PARTIAL_DATA_POPULATED								= $401E000A
#STATUS_GRAPHICS_NO_VIDEO_MEMORY										= $C01E0100
#STATUS_GRAPHICS_CANT_LOCK_MEMORY									= $C01E0101
#STATUS_GRAPHICS_ALLOCATION_BUSY										= $C01E0102
#STATUS_GRAPHICS_TOO_MANY_REFERENCES									= $C01E0103
#STATUS_GRAPHICS_TRY_AGAIN_LATER										= $C01E0104
#STATUS_GRAPHICS_TRY_AGAIN_NOW										= $C01E0105
#STATUS_GRAPHICS_ALLOCATION_INVALID									= $C01E0106
#STATUS_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE					= $C01E0107
#STATUS_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED					= $C01E0108
#STATUS_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION						= $C01E0109
#STATUS_GRAPHICS_INVALID_ALLOCATION_USAGE							= $C01E0110
#STATUS_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION						= $C01E0111
#STATUS_GRAPHICS_ALLOCATION_CLOSED									= $C01E0112
#STATUS_GRAPHICS_INVALID_ALLOCATION_INSTANCE							= $C01E0113
#STATUS_GRAPHICS_INVALID_ALLOCATION_HANDLE							= $C01E0114
#STATUS_GRAPHICS_WRONG_ALLOCATION_DEVICE								= $C01E0115
#STATUS_GRAPHICS_ALLOCATION_CONTENT_LOST								= $C01E0116

;Video GPU Scheduler (VidSch) specific status codes {0x0200..0x02ff}

#STATUS_GRAPHICS_GPU_EXCEPTION_ON_DEVICE								= $C01E0200

;Video Present Network Management (VidPNMgr) specific status codes {0x0300..0x03ff}

#STATUS_GRAPHICS_INVALID_VIDPN_TOPOLOGY								= $C01E0300
#STATUS_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED						= $C01E0301
#STATUS_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED				= $C01E0302
#STATUS_GRAPHICS_INVALID_VIDPN										= $C01E0303
#STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE						= $C01E0304
#STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET						= $C01E0305
#STATUS_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED						= $C01E0306
#STATUS_GRAPHICS_MODE_NOT_PINNED										= $401E0307
#STATUS_GRAPHICS_INVALID_VIDPN_SOURCEMODESET							= $C01E0308
#STATUS_GRAPHICS_INVALID_VIDPN_TARGETMODESET							= $C01E0309
#STATUS_GRAPHICS_INVALID_FREQUENCY									= $C01E030A
#STATUS_GRAPHICS_INVALID_ACTIVE_REGION								= $C01E030B
#STATUS_GRAPHICS_INVALID_TOTAL_REGION								= $C01E030C
#STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE					= $C01E0310
#STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE					= $C01E0311
#STATUS_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET						= $C01E0312
#STATUS_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY							= $C01E0313
#STATUS_GRAPHICS_MODE_ALREADY_IN_MODESET								= $C01E0314
#STATUS_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET						= $C01E0315
#STATUS_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET						= $C01E0316
#STATUS_GRAPHICS_SOURCE_ALREADY_IN_SET								= $C01E0317
#STATUS_GRAPHICS_TARGET_ALREADY_IN_SET								= $C01E0318
#STATUS_GRAPHICS_INVALID_VIDPN_PRESENT_PATH							= $C01E0319
#STATUS_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY						= $C01E031A
#STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET					= $C01E031B
#STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE						= $C01E031C
#STATUS_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET							= $C01E031D
#STATUS_GRAPHICS_NO_PREFERRED_MODE									= $401E031E
#STATUS_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET						= $C01E031F
#STATUS_GRAPHICS_STALE_MODESET										= $C01E0320
#STATUS_GRAPHICS_INVALID_MONITOR_SOURCEMODESET						= $C01E0321
#STATUS_GRAPHICS_INVALID_MONITOR_SOURCE_MODE							= $C01E0322
#STATUS_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN						= $C01E0323
#STATUS_GRAPHICS_MODE_ID_MUST_BE_UNIQUE								= $C01E0324
#STATUS_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION		= $C01E0325
#STATUS_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES				= $C01E0326
#STATUS_GRAPHICS_PATH_NOT_IN_TOPOLOGY								= $C01E0327
#STATUS_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE				= $C01E0328
#STATUS_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET				= $C01E0329
#STATUS_GRAPHICS_INVALID_MONITORDESCRIPTORSET						= $C01E032A
#STATUS_GRAPHICS_INVALID_MONITORDESCRIPTOR							= $C01E032B
#STATUS_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET						= $C01E032C
#STATUS_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET					= $C01E032D
#STATUS_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE					= $C01E032E
#STATUS_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE					= $C01E032F
#STATUS_GRAPHICS_RESOURCES_NOT_RELATED								= $C01E0330
#STATUS_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE							= $C01E0331
#STATUS_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE							= $C01E0332
#STATUS_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET							= $C01E0333
#STATUS_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER		= $C01E0334
#STATUS_GRAPHICS_NO_VIDPNMGR											= $C01E0335
#STATUS_GRAPHICS_NO_ACTIVE_VIDPN										= $C01E0336
#STATUS_GRAPHICS_STALE_VIDPN_TOPOLOGY								= $C01E0337
#STATUS_GRAPHICS_MONITOR_NOT_CONNECTED								= $C01E0338
#STATUS_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY								= $C01E0339
#STATUS_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE							= $C01E033A
#STATUS_GRAPHICS_INVALID_VISIBLEREGION_SIZE							= $C01E033B
#STATUS_GRAPHICS_INVALID_STRIDE										= $C01E033C
#STATUS_GRAPHICS_INVALID_PIXELFORMAT									= $C01E033D
#STATUS_GRAPHICS_INVALID_COLORBASIS									= $C01E033E
#STATUS_GRAPHICS_INVALID_PIXELVALUEACCESSMODE						= $C01E033F
#STATUS_GRAPHICS_TARGET_NOT_IN_TOPOLOGY								= $C01E0340
#STATUS_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT					= $C01E0341
#STATUS_GRAPHICS_VIDPN_SOURCE_IN_USE									= $C01E0342
#STATUS_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN							= $C01E0343
#STATUS_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL						= $C01E0344
#STATUS_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION		= $C01E0345
#STATUS_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED	= $C01E0346
#STATUS_GRAPHICS_INVALID_GAMMA_RAMP									= $C01E0347
#STATUS_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED							= $C01E0348
#STATUS_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED							= $C01E0349
#STATUS_GRAPHICS_MODE_NOT_IN_MODESET									= $C01E034A
#STATUS_GRAPHICS_DATASET_IS_EMPTY									= $401E034B
#STATUS_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET							= $401E034C
#STATUS_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON		= $C01E034D
#STATUS_GRAPHICS_INVALID_PATH_CONTENT_TYPE							= $C01E034E
#STATUS_GRAPHICS_INVALID_COPYPROTECTION_TYPE							= $C01E034F
#STATUS_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS					= $C01E0350
#STATUS_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED		= $401E0351
#STATUS_GRAPHICS_INVALID_SCANLINE_ORDERING							= $C01E0352
#STATUS_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED						= $C01E0353
#STATUS_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS					= $C01E0354
#STATUS_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT							= $C01E0355
#STATUS_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM						= $C01E0356
#STATUS_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN					= $C01E0357
#STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT			= $C01E0358
#STATUS_GRAPHICS_MAX_NUM_PATHS_REACHED								= $C01E0359
#STATUS_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION					= $C01E035A
#STATUS_GRAPHICS_INVALID_CLIENT_TYPE									= $C01E035B
#STATUS_GRAPHICS_CLIENTVIDPN_NOT_SET									= $C01E035C

;Port specific status codes {0x0400..0x04ff}

#STATUS_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED					= $C01E0400
#STATUS_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED						= $C01E0401
#STATUS_GRAPHICS_UNKNOWN_CHILD_STATUS								= $401E042F
#STATUS_GRAPHICS_NOT_A_LINKED_ADAPTER								= $C01E0430
#STATUS_GRAPHICS_LEADLINK_NOT_ENUMERATED								= $C01E0431
#STATUS_GRAPHICS_CHAINLINKS_NOT_ENUMERATED							= $C01E0432
#STATUS_GRAPHICS_ADAPTER_CHAIN_NOT_READY								= $C01E0433
#STATUS_GRAPHICS_CHAINLINKS_NOT_STARTED								= $C01E0434
#STATUS_GRAPHICS_CHAINLINKS_NOT_POWERED_ON							= $C01E0435
#STATUS_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE						= $C01E0436
#STATUS_GRAPHICS_LEADLINK_START_DEFERRED								= $401E0437
#STATUS_GRAPHICS_NOT_POST_DEVICE_DRIVER								= $C01E0438	
#STATUS_GRAPHICS_POLLING_TOO_FREQUENTLY								= $401E0439
#STATUS_GRAPHICS_START_DEFERRED										= $401E043A
#STATUS_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED							= $C01E043B

;OPM, PVP and UAB status codes {0x0500..0x057F}

#STATUS_GRAPHICS_OPM_NOT_SUPPORTED									= $C01E0500
#STATUS_GRAPHICS_COPP_NOT_SUPPORTED									= $C01E0501
#STATUS_GRAPHICS_UAB_NOT_SUPPORTED									= $C01E0502
#STATUS_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS					= $C01E0503
#STATUS_GRAPHICS_OPM_NO_PROTECTED_OUTPUTS_EXIST						= $C01E0505
#STATUS_GRAPHICS_OPM_INTERNAL_ERROR									= $C01E050B
#STATUS_GRAPHICS_OPM_INVALID_HANDLE									= $C01E050C
#STATUS_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH						= $C01E050E
#STATUS_GRAPHICS_OPM_SPANNING_MODE_ENABLED							= $C01E050F
#STATUS_GRAPHICS_OPM_THEATER_MODE_ENABLED							= $C01E0510
#STATUS_GRAPHICS_PVP_HFS_FAILED										= $C01E0511
#STATUS_GRAPHICS_OPM_INVALID_SRM										= $C01E0512
#STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP					= $C01E0513
#STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP						= $C01E0514
#STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA					= $C01E0515
#STATUS_GRAPHICS_OPM_HDCP_SRM_NEVER_SET								= $C01E0516
#STATUS_GRAPHICS_OPM_RESOLUTION_TOO_HIGH								= $C01E0517
#STATUS_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE				= $C01E0518
#STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_NO_LONGER_EXISTS				= $C01E051A
#STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS	= $C01E051C
#STATUS_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST						= $C01E051D
#STATUS_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR							= $C01E051E
#STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS	= $C01E051F
#STATUS_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED							= $C01E0520
#STATUS_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST					= $C01E0521

;Monitor Configuration API status codes {0x0580..0x05DF}

#STATUS_GRAPHICS_I2C_NOT_SUPPORTED									= $C01E0580
#STATUS_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST							= $C01E0581
#STATUS_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA							= $C01E0582
#STATUS_GRAPHICS_I2C_ERROR_RECEIVING_DATA							= $C01E0583
#STATUS_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED								= $C01E0584
#STATUS_GRAPHICS_DDCCI_INVALID_DATA									= $C01E0585
#STATUS_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE	= $C01E0586
#STATUS_GRAPHICS_DDCCI_INVALID_CAPABILITIES_STRING					= $C01E0587
#STATUS_GRAPHICS_MCA_INTERNAL_ERROR									= $C01E0588
#STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND						= $C01E0589
#STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH						= $C01E058A
#STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM						= $C01E058B
#STATUS_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE						= $C01E058C
#STATUS_GRAPHICS_MONITOR_NO_LONGER_EXISTS							= $C01E058D

;OPM, UAB, PVP and DDC/CI shared status codes {0x25E0..0x25FF}

#STATUS_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED						= $C01E05E0
#STATUS_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME				= $C01E05E1
#STATUS_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP				= $C01E05E2
#STATUS_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED						= $C01E05E3
#STATUS_GRAPHICS_INVALID_POINTER										= $C01E05E4
#STATUS_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE			= $C01E05E5
#STATUS_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL							= $C01E05E6
#STATUS_GRAPHICS_INTERNAL_ERROR										= $C01E05E7
#STATUS_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS						= $C01E05E8

;Full Volume Encryption Error codes (fvevol.sys)

#STATUS_FVE_LOCKED_VOLUME											= $C0210000
#STATUS_FVE_NOT_ENCRYPTED											= $C0210001
#STATUS_FVE_BAD_INFORMATION											= $C0210002
#STATUS_FVE_TOO_SMALL												= $C0210003
#STATUS_FVE_FAILED_WRONG_FS											= $C0210004
#STATUS_FVE_FAILED_BAD_FS											= $C0210005
#STATUS_FVE_FS_NOT_EXTENDED											= $C0210006
#STATUS_FVE_FS_MOUNTED												= $C0210007
#STATUS_FVE_NO_LICENSE												= $C0210008
#STATUS_FVE_ACTION_NOT_ALLOWED										= $C0210009
#STATUS_FVE_BAD_DATA													= $C021000A
#STATUS_FVE_VOLUME_NOT_BOUND											= $C021000B
#STATUS_FVE_NOT_DATA_VOLUME											= $C021000C
#STATUS_FVE_CONV_READ_ERROR											= $C021000D
#STATUS_FVE_CONV_WRITE_ERROR											= $C021000E
#STATUS_FVE_OVERLAPPED_UPDATE										= $C021000F
#STATUS_FVE_FAILED_SECTOR_SIZE										= $C0210010
#STATUS_FVE_FAILED_AUTHENTICATION									= $C0210011
#STATUS_FVE_NOT_OS_VOLUME											= $C0210012
#STATUS_FVE_KEYFILE_NOT_FOUND										= $C0210013
#STATUS_FVE_KEYFILE_INVALID											= $C0210014
#STATUS_FVE_KEYFILE_NO_VMK											= $C0210015
#STATUS_FVE_TPM_DISABLED												= $C0210016
#STATUS_FVE_TPM_SRK_AUTH_NOT_ZERO									= $C0210017
#STATUS_FVE_TPM_INVALID_PCR											= $C0210018
#STATUS_FVE_TPM_NO_VMK												= $C0210019	
#STATUS_FVE_PIN_INVALID												= $C021001A
#STATUS_FVE_AUTH_INVALID_APPLICATION									= $C021001B
#STATUS_FVE_AUTH_INVALID_CONFIG										= $C021001C
#STATUS_FVE_DEBUGGER_ENABLED											= $C021001D
#STATUS_FVE_DRY_RUN_FAILED											= $C021001E
#STATUS_FVE_BAD_METADATA_POINTER										= $C021001F
#STATUS_FVE_OLD_METADATA_COPY										= $C0210020
#STATUS_FVE_REBOOT_REQUIRED											= $C0210021
#STATUS_FVE_RAW_ACCESS												= $C0210022
#STATUS_FVE_RAW_BLOCKED												= $C0210023
#STATUS_FVE_NO_AUTOUNLOCK_MASTER_KEY									= $C0210024
#STATUS_FVE_MOR_FAILED												= $C0210025

;FWP error codes (fwpkclnt.sys)

#STATUS_FWP_CALLOUT_NOT_FOUND										= $C0220001
#STATUS_FWP_CONDITION_NOT_FOUND										= $C0220002
#STATUS_FWP_FILTER_NOT_FOUND											= $C0220003
#STATUS_FWP_LAYER_NOT_FOUND											= $C0220004
#STATUS_FWP_PROVIDER_NOT_FOUND										= $C0220005
#STATUS_FWP_PROVIDER_CONTEXT_NOT_FOUND								= $C0220006
#STATUS_FWP_SUBLAYER_NOT_FOUND										= $C0220007
#STATUS_FWP_NOT_FOUND												= $C0220008
#STATUS_FWP_ALREADY_EXISTS											= $C0220009
#STATUS_FWP_IN_USE													= $C022000A
#STATUS_FWP_DYNAMIC_SESSION_IN_PROGRESS								= $C022000B
#STATUS_FWP_WRONG_SESSION											= $C022000C
#STATUS_FWP_NO_TXN_IN_PROGRESS										= $C022000D
#STATUS_FWP_TXN_IN_PROGRESS											= $C022000E
#STATUS_FWP_TXN_ABORTED												= $C022000F
#STATUS_FWP_SESSION_ABORTED											= $C0220010
#STATUS_FWP_INCOMPATIBLE_TXN											= $C0220011
#STATUS_FWP_TIMEOUT													= $C0220012
#STATUS_FWP_NET_EVENTS_DISABLED										= $C0220013
#STATUS_FWP_INCOMPATIBLE_LAYER										= $C0220014
#STATUS_FWP_KM_CLIENTS_ONLY											= $C0220015
#STATUS_FWP_LIFETIME_MISMATCH										= $C0220016
#STATUS_FWP_BUILTIN_OBJECT											= $C0220017
#STATUS_FWP_TOO_MANY_CALLOUTS										= $C0220018
#STATUS_FWP_NOTIFICATION_DROPPED										= $C0220019
#STATUS_FWP_TRAFFIC_MISMATCH											= $C022001A
#STATUS_FWP_INCOMPATIBLE_SA_STATE									= $C022001B
#STATUS_FWP_NULL_POINTER												= $C022001C
#STATUS_FWP_INVALID_ENUMERATOR										= $C022001D
#STATUS_FWP_INVALID_FLAGS											= $C022001E
#STATUS_FWP_INVALID_NET_MASK											= $C022001F
#STATUS_FWP_INVALID_RANGE											= $C0220020
#STATUS_FWP_INVALID_INTERVAL											= $C0220021
#STATUS_FWP_ZERO_LENGTH_ARRAY										= $C0220022
#STATUS_FWP_NULL_DISPLAY_NAME										= $C0220023
#STATUS_FWP_INVALID_ACTION_TYPE										= $C0220024
#STATUS_FWP_INVALID_WEIGHT											= $C0220025
#STATUS_FWP_MATCH_TYPE_MISMATCH										= $C0220026
#STATUS_FWP_TYPE_MISMATCH											= $C0220027
#STATUS_FWP_OUT_OF_BOUNDS											= $C0220028
#STATUS_FWP_RESERVED													= $C0220029
#STATUS_FWP_DUPLICATE_CONDITION										= $C022002A
#STATUS_FWP_DUPLICATE_KEYMOD											= $C022002B
#STATUS_FWP_ACTION_INCOMPATIBLE_WITH_LAYER							= $C022002C
#STATUS_FWP_ACTION_INCOMPATIBLE_WITH_SUBLAYER						= $C022002D
#STATUS_FWP_CONTEXT_INCOMPATIBLE_WITH_LAYER							= $C022002E
#STATUS_FWP_CONTEXT_INCOMPATIBLE_WITH_CALLOUT						= $C022002F
#STATUS_FWP_INCOMPATIBLE_AUTH_METHOD									= $C0220030
#STATUS_FWP_INCOMPATIBLE_DH_GROUP									= $C0220031
#STATUS_FWP_EM_NOT_SUPPORTED											= $C0220032
#STATUS_FWP_NEVER_MATCH												= $C0220033
#STATUS_FWP_PROVIDER_CONTEXT_MISMATCH								= $C0220034
#STATUS_FWP_INVALID_PARAMETER										= $C0220035
#STATUS_FWP_TOO_MANY_SUBLAYERS										= $C0220036
#STATUS_FWP_CALLOUT_NOTIFICATION_FAILED								= $C0220037
#STATUS_FWP_INVALID_AUTH_TRANSFORM									= $C0220038
#STATUS_FWP_INVALID_CIPHER_TRANSFORM									= $C0220039
#STATUS_FWP_INCOMPATIBLE_CIPHER_TRANSFORM							= $C022003A
#STATUS_FWP_INVALID_TRANSFORM_COMBINATION							= $C022003B
#STATUS_FWP_TCPIP_NOT_READY											= $C0220100
#STATUS_FWP_INJECT_HANDLE_CLOSING									= $C0220101
#STATUS_FWP_INJECT_HANDLE_STALE										= $C0220102
#STATUS_FWP_CANNOT_PEND												= $C0220103
#STATUS_FWP_DROP_NOICMP												= $C0220104

;NDIS error codes (ndis.sys)

#STATUS_NDIS_CLOSING													= $C0230002
#STATUS_NDIS_BAD_VERSION												= $C0230004
#STATUS_NDIS_BAD_CHARACTERISTICS										= $C0230005
#STATUS_NDIS_ADAPTER_NOT_FOUND										= $C0230006
#STATUS_NDIS_OPEN_FAILED												= $C0230007
#STATUS_NDIS_DEVICE_FAILED											= $C0230008
#STATUS_NDIS_MULTICAST_FULL											= $C0230009
#STATUS_NDIS_MULTICAST_EXISTS										= $C023000A
#STATUS_NDIS_MULTICAST_NOT_FOUND										= $C023000B
#STATUS_NDIS_REQUEST_ABORTED											= $C023000C
#STATUS_NDIS_RESET_IN_PROGRESS										= $C023000D
#STATUS_NDIS_NOT_SUPPORTED											= $C02300BB
#STATUS_NDIS_INVALID_PACKET											= $C023000F
#STATUS_NDIS_ADAPTER_NOT_READY										= $C0230011
#STATUS_NDIS_INVALID_LENGTH											= $C0230014	
#STATUS_NDIS_INVALID_DATA											= $C0230015
#STATUS_NDIS_BUFFER_TOO_SHORT										= $C0230016
#STATUS_NDIS_INVALID_OID												= $C0230017
#STATUS_NDIS_ADAPTER_REMOVED											= $C0230018
#STATUS_NDIS_UNSUPPORTED_MEDIA										= $C0230019
#STATUS_NDIS_GROUP_ADDRESS_IN_USE									= $C023001A
#STATUS_NDIS_FILE_NOT_FOUND											= $C023001B
#STATUS_NDIS_ERROR_READING_FILE										= $C023001C
#STATUS_NDIS_ALREADY_MAPPED											= $C023001D
#STATUS_NDIS_RESOURCE_CONFLICT										= $C023001E
#STATUS_NDIS_MEDIA_DISCONNECTED										= $C023001F
#STATUS_NDIS_INVALID_ADDRESS											= $C0230022
#STATUS_NDIS_INVALID_DEVICE_REQUEST									= $C0230010
#STATUS_NDIS_PAUSED													= $C023002A
#STATUS_NDIS_INTERFACE_NOT_FOUND										= $C023002B
#STATUS_NDIS_UNSUPPORTED_REVISION									= $C023002C
#STATUS_NDIS_INVALID_PORT											= $C023002D
#STATUS_NDIS_INVALID_PORT_STATE										= $C023002E
#STATUS_NDIS_LOW_POWER_STATE											= $C023002F

;NDIS error codes (802.11 wireless LAN)

#STATUS_NDIS_DOT11_AUTO_CONFIG_ENABLED								= $C0232000
#STATUS_NDIS_DOT11_MEDIA_IN_USE										= $C0232001
#STATUS_NDIS_DOT11_POWER_STATE_INVALID								= $C0232002

;NDIS informational codes(ndis.sys)

#STATUS_NDIS_INDICATION_REQUIRED										= $40230001

;Hypervisor error codes - changes to these codes must be reflected in HvStatus.h

#STATUS_HV_INVALID_HYPERCALL_CODE									= $C0350002
#STATUS_HV_INVALID_HYPERCALL_INPUT									= $C0350003
#STATUS_HV_INVALID_ALIGNMENT											= $C0350004
#STATUS_HV_INVALID_PARAMETER											= $C0350005
#STATUS_HV_ACCESS_DENIED												= $C0350006
#STATUS_HV_INVALID_PARTITION_STATE									= $C0350007
#STATUS_HV_OPERATION_DENIED											= $C0350008
#STATUS_HV_UNKNOWN_PROPERTY											= $C0350009
#STATUS_HV_PROPERTY_VALUE_OUT_OF_RANGE								= $C035000A
#STATUS_HV_INSUFFICIENT_MEMORY										= $C035000B
#STATUS_HV_PARTITION_TOO_DEEP										= $C035000C
#STATUS_HV_INVALID_PARTITION_ID										= $C035000D
#STATUS_HV_INVALID_VP_INDEX											= $C035000E
#STATUS_HV_INVALID_PORT_ID											= $C0350011
#STATUS_HV_INVALID_CONNECTION_ID										= $C0350012
#STATUS_HV_INSUFFICIENT_BUFFERS										= $C0350013
#STATUS_HV_NOT_ACKNOWLEDGED											= $C0350014
#STATUS_HV_ACKNOWLEDGED												= $C0350016
#STATUS_HV_INVALID_SAVE_RESTORE_STATE								= $C0350017
#STATUS_HV_INVALID_SYNIC_STATE										= $C0350018
#STATUS_HV_OBJECT_IN_USE												= $C0350019
#STATUS_HV_INVALID_PROXIMITY_DOMAIN_INFO								= $C035001A
#STATUS_HV_NO_DATA													= $C035001B
#STATUS_HV_INACTIVE													= $C035001C
#STATUS_HV_NO_RESOURCES												= $C035001D
#STATUS_HV_FEATURE_UNAVAILABLE										= $C035001E
#STATUS_HV_NOT_PRESENT												= $C0351000

;Virtualization status codes
;these codes are used by the Virtualization Infrustructure Driver (VID) and other components

#STATUS_VID_DUPLICATE_HANDLER										= $C0370001
#STATUS_VID_TOO_MANY_HANDLERS										= $C0370002
#STATUS_VID_QUEUE_FULL												= $C0370003
#STATUS_VID_HANDLER_NOT_PRESENT										= $C0370004
#STATUS_VID_INVALID_OBJECT_NAME										= $C0370005
#STATUS_VID_PARTITION_NAME_TOO_LONG									= $C0370006
#STATUS_VID_MESSAGE_QUEUE_NAME_TOO_LONG								= $C0370007
#STATUS_VID_PARTITION_ALREADY_EXISTS									= $C0370008
#STATUS_VID_PARTITION_DOES_NOT_EXIST									= $C0370009
#STATUS_VID_PARTITION_NAME_NOT_FOUND									= $C037000A
#STATUS_VID_MESSAGE_QUEUE_ALREADY_EXISTS								= $C037000B
#STATUS_VID_EXCEEDED_MBP_ENTRY_MAP_LIMIT								= $C037000C
#STATUS_VID_MB_STILL_REFERENCED										= $C037000D
#STATUS_VID_CHILD_GPA_PAGE_SET_CORRUPTED								= $C037000E
#STATUS_VID_INVALID_NUMA_SETTINGS									= $C037000F
#STATUS_VID_INVALID_NUMA_NODE_INDEX									= $C0370010
#STATUS_VID_NOTIFICATION_QUEUE_ALREADY_ASSOCIATED					= $C0370011
#STATUS_VID_INVALID_MEMORY_BLOCK_HANDLE								= $C0370012
#STATUS_VID_PAGE_RANGE_OVERFLOW										= $C0370013
#STATUS_VID_INVALID_MESSAGE_QUEUE_HANDLE								= $C0370014
#STATUS_VID_INVALID_GPA_RANGE_HANDLE									= $C0370015
#STATUS_VID_NO_MEMORY_BLOCK_NOTIFICATION_QUEUE						= $C0370016
#STATUS_VID_MEMORY_BLOCK_LOCK_COUNT_EXCEEDED							= $C0370017
#STATUS_VID_INVALID_PPM_HANDLE										= $C0370018
#STATUS_VID_MBPS_ARE_LOCKED											= $C0370019
#STATUS_VID_MESSAGE_QUEUE_CLOSED										= $C037001A
#STATUS_VID_VIRTUAL_PROCESSOR_LIMIT_EXCEEDED							= $C037001B
#STATUS_VID_STOP_PENDING												= $C037001C
#STATUS_VID_INVALID_PROCESSOR_STATE									= $C037001D
#STATUS_VID_EXCEEDED_KM_CONTEXT_COUNT_LIMIT							= $C037001E
#STATUS_VID_KM_INTERFACE_ALREADY_INITIALIZED							= $C037001F
#STATUS_VID_MB_PROPERTY_ALREADY_SET_RESET							= $C0370020
#STATUS_VID_MMIO_RANGE_DESTROYED										= $C0370021
#STATUS_VID_INVALID_CHILD_GPA_PAGE_SET								= $C0370022
#STATUS_VID_RESERVE_PAGE_SET_IS_BEING_USED							= $C0370023
#STATUS_VID_RESERVE_PAGE_SET_TOO_SMALL								= $C0370024
#STATUS_VID_MBP_ALREADY_LOCKED_USING_RESERVED_PAGE					= $C0370025
#STATUS_VID_MBP_COUNT_EXCEEDED_LIMIT									= $C0370026
#STATUS_VID_SAVED_STATE_CORRUPT										= $C0370027
#STATUS_VID_SAVED_STATE_UNRECOGNIZED_ITEM							= $C0370028
#STATUS_VID_SAVED_STATE_INCOMPATIBLE									= $C0370029
#STATUS_VID_REMOTE_NODE_PARENT_GPA_PAGES_USED						= $80370001

;IPSEC error codes (tcpip.sys)

#STATUS_IPSEC_BAD_SPI												= $C0360001
#STATUS_IPSEC_SA_LIFETIME_EXPIRED									= $C0360002
#STATUS_IPSEC_WRONG_SA												= $C0360003
#STATUS_IPSEC_REPLAY_CHECK_FAILED									= $C0360004
#STATUS_IPSEC_INVALID_PACKET											= $C0360005
#STATUS_IPSEC_INTEGRITY_CHECK_FAILED									= $C0360006
#STATUS_IPSEC_CLEAR_TEXT_DROP										= $C0360007

;Volume manager status codes (volmgr.sys and volmgrx.sys)

#STATUS_VOLMGR_INCOMPLETE_REGENERATION								= $80380001
#STATUS_VOLMGR_INCOMPLETE_DISK_MIGRATION								= $80380002
#STATUS_VOLMGR_DATABASE_FULL											= $C0380001
#STATUS_VOLMGR_DISK_CONFIGURATION_CORRUPTED							= $C0380002
#STATUS_VOLMGR_DISK_CONFIGURATION_NOT_IN_SYNC						= $C0380003
#STATUS_VOLMGR_PACK_CONFIG_UPDATE_FAILED								= $C0380004
#STATUS_VOLMGR_DISK_CONTAINS_NON_SIMPLE_VOLUME						= $C0380005
#STATUS_VOLMGR_DISK_DUPLICATE										= $C0380006
#STATUS_VOLMGR_DISK_DYNAMIC											= $C0380007
#STATUS_VOLMGR_DISK_ID_INVALID										= $C0380008
#STATUS_VOLMGR_DISK_INVALID											= $C0380009
#STATUS_VOLMGR_DISK_LAST_VOTER										= $C038000A
#STATUS_VOLMGR_DISK_LAYOUT_INVALID									= $C038000B
#STATUS_VOLMGR_DISK_LAYOUT_NON_BASIC_BETWEEN_BASIC_PARTITIONS		= $C038000C
#STATUS_VOLMGR_DISK_LAYOUT_NOT_CYLINDER_ALIGNED						= $C038000D
#STATUS_VOLMGR_DISK_LAYOUT_PARTITIONS_TOO_SMALL						= $C038000E
#STATUS_VOLMGR_DISK_LAYOUT_PRIMARY_BETWEEN_LOGICAL_PARTITIONS		= $C038000F
#STATUS_VOLMGR_DISK_LAYOUT_TOO_MANY_PARTITIONS						= $C0380010
#STATUS_VOLMGR_DISK_MISSING											= $C0380011
#STATUS_VOLMGR_DISK_NOT_EMPTY										= $C0380012
#STATUS_VOLMGR_DISK_NOT_ENOUGH_SPACE									= $C0380013
#STATUS_VOLMGR_DISK_REVECTORING_FAILED								= $C0380014
#STATUS_VOLMGR_DISK_SECTOR_SIZE_INVALID								= $C0380015
#STATUS_VOLMGR_DISK_SET_NOT_CONTAINED								= $C0380016
#STATUS_VOLMGR_DISK_USED_BY_MULTIPLE_MEMBERS							= $C0380017
#STATUS_VOLMGR_DISK_USED_BY_MULTIPLE_PLEXES							= $C0380018
#STATUS_VOLMGR_DYNAMIC_DISK_NOT_SUPPORTED							= $C0380019
#STATUS_VOLMGR_EXTENT_ALREADY_USED									= $C038001A	
#STATUS_VOLMGR_EXTENT_NOT_CONTIGUOUS									= $C038001B
#STATUS_VOLMGR_EXTENT_NOT_IN_PUBLIC_REGION							= $C038001C
#STATUS_VOLMGR_EXTENT_NOT_SECTOR_ALIGNED								= $C038001D
#STATUS_VOLMGR_EXTENT_OVERLAPS_EBR_PARTITION							= $C038001E
#STATUS_VOLMGR_EXTENT_VOLUME_LENGTHS_DO_NOT_MATCH					= $C038001F
#STATUS_VOLMGR_FAULT_TOLERANT_NOT_SUPPORTED							= $C0380020
#STATUS_VOLMGR_INTERLEAVE_LENGTH_INVALID								= $C0380021
#STATUS_VOLMGR_MAXIMUM_REGISTERED_USERS								= $C0380022
#STATUS_VOLMGR_MEMBER_IN_SYNC										= $C0380023
#STATUS_VOLMGR_MEMBER_INDEX_DUPLICATE								= $C0380024
#STATUS_VOLMGR_MEMBER_INDEX_INVALID									= $C0380025
#STATUS_VOLMGR_MEMBER_MISSING										= $C0380026
#STATUS_VOLMGR_MEMBER_NOT_DETACHED									= $C0380027
#STATUS_VOLMGR_MEMBER_REGENERATING									= $C0380028
#STATUS_VOLMGR_ALL_DISKS_FAILED										= $C0380029
#STATUS_VOLMGR_NO_REGISTERED_USERS									= $C038002A
#STATUS_VOLMGR_NO_SUCH_USER											= $C038002B
#STATUS_VOLMGR_NOTIFICATION_RESET									= $C038002C
#STATUS_VOLMGR_NUMBER_OF_MEMBERS_INVALID								= $C038002D	
#STATUS_VOLMGR_NUMBER_OF_PLEXES_INVALID								= $C038002E
#STATUS_VOLMGR_PACK_DUPLICATE										= $C038002F
#STATUS_VOLMGR_PACK_ID_INVALID										= $C0380030
#STATUS_VOLMGR_PACK_INVALID											= $C0380031
#STATUS_VOLMGR_PACK_NAME_INVALID										= $C0380032
#STATUS_VOLMGR_PACK_OFFLINE											= $C0380033
#STATUS_VOLMGR_PACK_HAS_QUORUM										= $C0380034
#STATUS_VOLMGR_PACK_WITHOUT_QUORUM									= $C0380035
#STATUS_VOLMGR_PARTITION_STYLE_INVALID								= $C0380036
#STATUS_VOLMGR_PARTITION_UPDATE_FAILED								= $C0380037
#STATUS_VOLMGR_PLEX_IN_SYNC											= $C0380038
#STATUS_VOLMGR_PLEX_INDEX_DUPLICATE									= $C0380039
#STATUS_VOLMGR_PLEX_INDEX_INVALID									= $C038003A
#STATUS_VOLMGR_PLEX_LAST_ACTIVE										= $C038003B
#STATUS_VOLMGR_PLEX_MISSING											= $C038003C
#STATUS_VOLMGR_PLEX_REGENERATING										= $C038003D
#STATUS_VOLMGR_PLEX_TYPE_INVALID										= $C038003E
#STATUS_VOLMGR_PLEX_NOT_RAID5										= $C038003F
#STATUS_VOLMGR_PLEX_NOT_SIMPLE										= $C0380040
#STATUS_VOLMGR_STRUCTURE_SIZE_INVALID								= $C0380041
#STATUS_VOLMGR_TOO_MANY_NOTIFICATION_REQUESTS						= $C0380042
#STATUS_VOLMGR_TRANSACTION_IN_PROGRESS								= $C0380043
#STATUS_VOLMGR_UNEXPECTED_DISK_LAYOUT_CHANGE							= $C0380044
#STATUS_VOLMGR_VOLUME_CONTAINS_MISSING_DISK							= $C0380045
#STATUS_VOLMGR_VOLUME_ID_INVALID										= $C0380046
#STATUS_VOLMGR_VOLUME_LENGTH_INVALID									= $C0380047
#STATUS_VOLMGR_VOLUME_LENGTH_NOT_SECTOR_SIZE_MULTIPLE				= $C0380048
#STATUS_VOLMGR_VOLUME_NOT_MIRRORED									= $C0380049
#STATUS_VOLMGR_VOLUME_NOT_RETAINED									= $C038004A
#STATUS_VOLMGR_VOLUME_OFFLINE										= $C038004B
#STATUS_VOLMGR_VOLUME_RETAINED										= $C038004C
#STATUS_VOLMGR_NUMBER_OF_EXTENTS_INVALID								= $C038004D
#STATUS_VOLMGR_DIFFERENT_SECTOR_SIZE									= $C038004E
#STATUS_VOLMGR_BAD_BOOT_DISK											= $C038004F
#STATUS_VOLMGR_PACK_CONFIG_OFFLINE									= $C0380050
#STATUS_VOLMGR_PACK_CONFIG_ONLINE									= $C0380051
#STATUS_VOLMGR_NOT_PRIMARY_PACK										= $C0380052
#STATUS_VOLMGR_PACK_LOG_UPDATE_FAILED								= $C0380053
#STATUS_VOLMGR_NUMBER_OF_DISKS_IN_PLEX_INVALID						= $C0380054
#STATUS_VOLMGR_NUMBER_OF_DISKS_IN_MEMBER_INVALID						= $C0380055
#STATUS_VOLMGR_VOLUME_MIRRORED										= $C0380056
#STATUS_VOLMGR_PLEX_NOT_SIMPLE_SPANNED								= $C0380057
#STATUS_VOLMGR_NO_VALID_LOG_COPIES									= $C0380058
#STATUS_VOLMGR_PRIMARY_PACK_PRESENT									= $C0380059
#STATUS_VOLMGR_NUMBER_OF_DISKS_INVALID								= $C038005A

;Boot Code Data (BCD) status codes

#STATUS_BCD_NOT_ALL_ENTRIES_IMPORTED									= $80390001
#STATUS_BCD_TOO_MANY_ELEMENTS										= $C0390002
#STATUS_BCD_NOT_ALL_ENTRIES_SYNCHRONIZED								= $80390003

;vhdparser error codes (vhdparser.sys)

#STATUS_VHD_DRIVE_FOOTER_MISSING										= $C03A0001
#STATUS_VHD_DRIVE_FOOTER_CHECKSUM_MISMATCH							= $C03A0002
#STATUS_VHD_DRIVE_FOOTER_CORRUPT										= $C03A0003
#STATUS_VHD_FORMAT_UNKNOWN											= $C03A0004
#STATUS_VHD_FORMAT_UNSUPPORTED_VERSION								= $C03A0005
#STATUS_VHD_SPARSE_HEADER_CHECKSUM_MISMATCH							= $C03A0006
#STATUS_VHD_SPARSE_HEADER_UNSUPPORTED_VERSION						= $C03A0007
#STATUS_VHD_SPARSE_HEADER_CORRUPT									= $C03A0008
#STATUS_VHD_BLOCK_ALLOCATION_FAILURE									= $C03A0009
#STATUS_VHD_BLOCK_ALLOCATION_TABLE_CORRUPT							= $C03A000A
#STATUS_VHD_INVALID_BLOCK_SIZE										= $C03A000B
#STATUS_VHD_BITMAP_MISMATCH											= $C03A000C
#STATUS_VHD_PARENT_VHD_NOT_FOUND										= $C03A000D
#STATUS_VHD_CHILD_PARENT_ID_MISMATCH									= $C03A000E
#STATUS_VHD_CHILD_PARENT_TIMESTAMP_MISMATCH							= $C03A000F
#STATUS_VHD_METADATA_READ_FAILURE									= $C03A0010
#STATUS_VHD_METADATA_WRITE_FAILURE									= $C03A0011
#STATUS_VHD_INVALID_SIZE												= $C03A0012
#STATUS_VHD_INVALID_FILE_SIZE										= $C03A0013

;Vhd warnings.

#STATUS_QUERY_STORAGE_ERROR											= $803A0001

;=============================================================================
